Bug 1182377 - kernel 5.10.16 snd_hda_intel (Audio device: NVIDIA Corporation GM107) spurious response 0x42490100:0x3331314d, rp = 0, wp = 0 with nvidia drivers
kernel 5.10.16 snd_hda_intel (Audio device: NVIDIA Corporation GM107) spuriou...
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 openSUSE Tumbleweed
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-17 16:06 UTC by Bruno Friedmann
Modified: 2022-07-21 19:32 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Complete reboot kernel 5.1016 + kernel-firmware-20200208-1.1 (589.82 KB, text/plain)
2021-02-17 16:07 UTC, Bruno Friedmann
Details
Limited log to backtrace and rip (337.56 KB, text/plain)
2021-02-17 16:08 UTC, Bruno Friedmann
Details
Complete trace kernel 5.4.16 / firmware 20200208 / iommu removed from cmdline (738.47 KB, text/plain)
2021-02-18 09:01 UTC, Bruno Friedmann
Details
kernel 5.11.3 boot journal (226.04 KB, text/plain)
2021-03-07 10:30 UTC, Bruno Friedmann
Details
kernel 5.11.2 RIP: 0010:kobject_put+0x19/0x1d0 and RIP: 0033:0x7fd93ce1c89e (210.75 KB, text/x-vhdl)
2021-03-07 10:38 UTC, Bruno Friedmann
Details
Crash continue to occur (5.64 MB, image/jpeg)
2021-03-07 13:55 UTC, Bruno Friedmann
Details
RIP: 0010:kobject_put+0x19/0x1d0 kernel with 5.11.4 - nvidia 460.56-35.1 (188.14 KB, text/plain)
2021-03-14 18:27 UTC, Bruno Friedmann
Details
Journal of booting kernel 5.11.6-4.g3222af6-default (108.68 KB, text/plain)
2021-03-16 08:35 UTC, Bruno Friedmann
Details
RIP Kernel 5.11.6 (with nvidia removed) (184.29 KB, text/plain)
2021-03-20 16:26 UTC, Bruno Friedmann
Details
RIP kernel 5.11.11 (snd_intel_hda+nvidia) (440.64 KB, text/plain)
2021-04-11 14:29 UTC, Bruno Friedmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Friedmann 2021-02-17 16:06:18 UTC
With TW snapshot 20200215 come with kernel-firmware version 
kernel-firmware-nvidia = 20210208-1.1

Once rebooted the computer start to show kernel rip error typically like

Feb 17 16:14:14 qt-kt kernel: snd_hda_intel 0000:01:00.1: azx_get_response timeout, switching to polling mode: last cmd=0x000f0000
Feb 17 16:14:14 qt-kt kernel: snd_hda_intel 0000:01:00.1: spurious response 0x8100073:0x0, last cmd=0x0f0000
Feb 17 16:14:14 qt-kt kernel: snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
Feb 17 16:14:14 qt-kt kernel: snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
Feb 17 16:14:14 qt-kt kernel: snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
Feb 17 16:14:14 qt-kt kernel: snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
Feb 17 16:14:14 qt-kt kernel: snd_hda_intel 0000:01:00.1: spurious response 0x510bda50:0xffff9b87, last cmd=0x000000
Feb 17 16:14:14 qt-kt kernel: snd_hda_intel 0000:01:00.1: spurious response 0x510bda50:0xffff9b87, last cmd=0x000000
Feb 17 16:14:14 qt-kt kernel: snd_hda_intel 0000:01:00.1: spurious response 0x513b2c60:0xffff9b87, last cmd=0x000000
Feb 17 16:14:14 qt-kt kernel: snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
Feb 17 16:14:14 qt-kt kernel: snd_hda_intel 0000:01:00.1: spurious response 0xf79f5536:0x7, last cmd=0x000000
Feb 17 16:14:14 qt-kt kernel: snd_hda_intel 0000:01:00.1: spurious response 0xf554b000:0x7f79, rp = 44, wp = 0
Feb 17 16:14:14 qt-kt kernel: ------------[ cut here ]------------
Feb 17 16:14:14 qt-kt kernel: BUG?
Feb 17 16:14:14 qt-kt kernel: WARNING: CPU: 7 PID: 1894 at sound/hda/hdac_controller.c:215 snd_hdac_bus_update_rirb.cold+0x24/0x5b [snd_hda_core]
Feb 17 16:14:14 qt-kt kernel: Modules linked in: nf_log_ipv6 xt_recent ipt_REJECT nf_reject_ipv4 xt_multiport xt_comment xt_physdev xt_set xt_hashlimit xt_addrtype xt_mark xt_CT nfnetlink_log xt_NFLOG nf_log_ipv4 nf_log_common xt_LOG nf_nat_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_nat_pptp nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat_amanda ts_kmp nf_conntrack_amanda nf_conntrack_sane nf_conntrack_tftp nf_conntrack_sip nf_conntrack_pptp nf_conntrack_netlink nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_irc nf_conntrack_h323 nf_conntrack_ftp cmac algif_hash algif_skcipher af_alg tun af_packet ip6table_mangle ip6table_nat ip6table_raw vboxnetadp(O) vboxnetflt(O) ip6table_filter ip6_tables ip_set_hash_net ip_set nfnetlink xt_tcpudp xt_conntrack iptable_mangle vboxdrv(O) iptable_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 iptable_raw dmi_sysfs iptable_filter ip_tables x_tables bpfilter bnep nvidia_drm(POE) nvidia_modeset(POE) nvidia_uvm(POE) x86_pkg_temp_thermal xpad
Feb 17 16:14:14 qt-kt kernel:  intel_powerclamp iTCO_wdt coretemp ff_memless intel_pmc_bxt iwlmvm nvidia(POE) kvm_intel ee1004 iTCO_vendor_support mei_hdcp mei_wdt ppdev dell_laptop intel_rapl_msr ledtrig_audio cdc_mbim dell_smm_hwmon drm_kms_helper kvm cdc_wdm mac80211 btusb btrtl btbcm dell_wmi cec cdc_ncm uvcvideo btintel libarc4 pcspkr dell_smbios irqbypass rc_core cdc_ether dcdbas snd_usb_audio sparse_keymap videobuf2_vmalloc i2c_i801 efi_pstore dell_wmi_descriptor videobuf2_memops qcserial iwlwifi usbnet mxm_wmi videobuf2_v4l2 bluetooth snd_usbmidi_lib usb_wwan intel_wmi_thunderbolt videobuf2_common e1000e mei_me wmi_bmof snd_rawmidi i2c_smbus processor_thermal_device ecdh_generic mii usbserial fb_sys_fops joydev ecc snd_seq_device videodev syscopyarea sysfillrect cfg80211 mei sysimgblt intel_rapl_common intel_pch_thermal ie31200_edac mc thermal tiny_power_button intel_soc_dts_iosf parport_pc dell_smo8800 parport int3403_thermal int3402_thermal int3400_thermal int340x_thermal_zone dell_rbtn
Feb 17 16:14:14 qt-kt kernel:  acpi_thermal_rel rfkill button acpi_pad ac nls_iso8859_1 nls_cp437 vfat fat drm fuse configfs hid_logitech_hidpp uas usb_storage hid_logitech_dj dm_crypt hid_generic usbhid xhci_pci xhci_pci_renesas xhci_hcd crct10dif_pclmul crc32_pclmul ghash_clmulni_intel rtsx_pci_sdmmc aesni_intel mmc_core glue_helper crypto_simd cryptd nvme serio_raw nvme_core usbcore rtsx_pci battery video wmi btrfs blake2b_generic libcrc32c crc32c_intel xor raid6_pq dm_mirror dm_region_hash dm_log snd_hda_intel snd_intel_dspcfg soundwire_intel soundwire_generic_allocation snd_soc_core snd_compress snd_pcm_dmaengine soundwire_cadence soundwire_bus snd_hda_codec snd_hwdep snd_hda_core snd_pcm snd_timer snd soundcore l2tp_ppp l2tp_netlink l2tp_core ip6_udp_tunnel udp_tunnel pppox ppp_generic slhc sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua br_netfilter bridge stp llc msr efivarfs
Feb 17 16:14:14 qt-kt kernel: CPU: 7 PID: 1894 Comm: Xorg.bin Tainted: P           OE     5.10.16-1-default #1 openSUSE Tumbleweed
Feb 17 16:14:14 qt-kt kernel: Hardware name: Dell Inc. Precision 7510/0YH43H, BIOS 1.21.3 08/04/2020
Feb 17 16:14:14 qt-kt kernel: RIP: 0010:snd_hdac_bus_update_rirb.cold+0x24/0x5b [snd_hda_core]
Feb 17 16:14:14 qt-kt kernel: Code: db e9 52 a1 ff ff 48 8b 3b 41 89 e9 44 89 e9 44 89 fa 48 c7 c6 f0 0c 3d c0 e8 93 ed c4 db 48 c7 c7 7d cc 3c c0 e8 d0 23 c2 db <0f> 0b 0f b7 83 90 03 00 00 e9 2f bf ff ff 48 8b 3b 44 89 e9 44 89
Feb 17 16:14:14 qt-kt kernel: RSP: 0018:ffffba2d0061f4b0 EFLAGS: 00010082
Feb 17 16:14:14 qt-kt kernel: RAX: 0000000000000000 RBX: ffff9b947992a018 RCX: ffff9b96045dab88
Feb 17 16:14:14 qt-kt kernel: RDX: 00000000ffffffd8 RSI: 0000000000000027 RDI: ffff9b96045dab80
Feb 17 16:14:14 qt-kt kernel: RBP: 0000000000000000 R08: ffff9b964474fc28 R09: 0000000000013ffb
Feb 17 16:14:14 qt-kt kernel: R10: 00000000ffffc000 R11: 3fffffffffffffff R12: ffff9b947992a018
Feb 17 16:14:14 qt-kt kernel: R13: 0000000000007f79 R14: 00000000fffe0000 R15: 00000000f554b000
Feb 17 16:14:14 qt-kt kernel: FS:  00007f521a843940(0000) GS:ffff9b96045c0000(0000) knlGS:0000000000000000
Feb 17 16:14:14 qt-kt kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Feb 17 16:14:14 qt-kt kernel: CR2: 00007f31b8031c68 CR3: 0000000271fe2005 CR4: 00000000003706e0
Feb 17 16:14:14 qt-kt kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Feb 17 16:14:14 qt-kt kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Feb 17 16:14:14 qt-kt kernel: Call Trace:
Feb 17 16:14:14 qt-kt kernel:  snd_hdac_bus_get_response+0x6d/0x260 [snd_hda_core]
Feb 17 16:14:14 qt-kt kernel:  ? _dev_warn+0x6c/0x83
Feb 17 16:14:14 qt-kt kernel:  ? wait_woken+0x80/0x80
Feb 17 16:14:14 qt-kt kernel:  azx_rirb_get_response+0x24/0x70 [snd_hda_codec]
Feb 17 16:14:14 qt-kt kernel:  snd_hdac_bus_exec_verb_unlocked+0xa2/0x160 [snd_hda_core]
Feb 17 16:14:14 qt-kt kernel:  codec_exec_verb+0x72/0x110 [snd_hda_codec]
Feb 17 16:14:14 qt-kt kernel:  nv_audio_dynamic_power+0xf6/0x120 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  _nv039365rm+0x28/0x30 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv000777rm+0x90/0x90 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv036119rm+0x184/0x190 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv038923rm+0xb8/0x150 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv037978rm+0x274/0x2d0 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv009273rm+0x34c/0x420 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv036234rm+0x57/0x100 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv008269rm+0x55/0xa0 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv008269rm+0x34/0xa0 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? rm_kernel_rmapi_op+0x159/0x1b0 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? nvkms_call_rm+0x4b/0x80 [nvidia_modeset]
Feb 17 16:14:14 qt-kt kernel:  ? _nv002678kms+0x51/0x60 [nvidia_modeset]
Feb 17 16:14:14 qt-kt kernel:  ? _nv000672kms+0x2cf/0x4f0 [nvidia_modeset]
Feb 17 16:14:14 qt-kt kernel:  ? os_acquire_spinlock+0xe/0x20 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv028196rm+0x4c/0x70 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv022269rm+0x60/0x60 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv002540kms+0x101/0x550 [nvidia_modeset]
Feb 17 16:14:14 qt-kt kernel:  ? os_acquire_spinlock+0xe/0x20 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv035411rm+0xc/0x20 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? os_acquire_spinlock+0xe/0x20 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv035411rm+0xc/0x20 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv000022kms+0xbb/0x3d0 [nvidia_modeset]
Feb 17 16:14:14 qt-kt kernel:  ? _nv009226rm+0xc8/0x1d0 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv032826rm+0x40/0x40 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv000020kms+0x205/0x850 [nvidia_modeset]
Feb 17 16:14:14 qt-kt kernel:  ? os_acquire_spinlock+0xe/0x20 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv035411rm+0xc/0x20 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv009663rm+0x40/0x90 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv036161rm+0x2e/0xa0 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv038015rm+0x20/0x60 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv009661rm+0xbe/0x100 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv037980rm+0x120/0x130 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv037978rm+0xa9/0x2d0 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv039631rm+0x10/0x10 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv032865rm+0x1e/0x30 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? os_acquire_spinlock+0xe/0x20 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv035386rm+0xc/0x20 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv040150rm+0x9b/0x190 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? _nv002732kms+0x12b0/0x15f0 [nvidia_modeset]
Feb 17 16:14:14 qt-kt kernel:  ? _nv000556kms+0x50/0x50 [nvidia_modeset]
Feb 17 16:14:14 qt-kt kernel:  ? nvKmsIoctl+0x96/0x1d0 [nvidia_modeset]
Feb 17 16:14:14 qt-kt kernel:  ? nvkms_ioctl+0xf9/0x170 [nvidia_modeset]
Feb 17 16:14:14 qt-kt kernel:  ? nvidia_frontend_unlocked_ioctl+0x37/0x50 [nvidia]
Feb 17 16:14:14 qt-kt kernel:  ? __x64_sys_ioctl+0x83/0xb0
Feb 17 16:14:14 qt-kt kernel:  ? do_syscall_64+0x33/0x80
Feb 17 16:14:14 qt-kt kernel:  ? entry_SYSCALL_64_after_hwframe+0x44/0xa9
Feb 17 16:14:14 qt-kt kernel: ---[ end trace 86d01497afce5ce8 ]---

System hopefully still accessible by ssh and can be fixed remotely, but locally there no more workable display. Shutdown fails every other time.

Work around (dirty one) replacing by kernel-firmware-nvidia-20210119-1.1 and a reboot fix the crash.

Installed related nvidia packages
S  | Name                      | Type    | Version               | Arch   | Repository
---+---------------------------+---------+-----------------------+--------+-----------
i+ | kernel-firmware-nvidia    | package | 20210208-1.1          | noarch | oss
i+ | nvidia-computeG05         | package | 460.39-34.1           | x86_64 | nvidia
i+ | nvidia-gfxG05-kmp-default | package | 460.39_k5.10.9_1-34.1 | x86_64 | nvidia
i+ | nvidia-glG05              | package | 460.39-34.1           | x86_64 | nvidia
i+ | nvidia-texture-tools      | package | 2.0.8-3.14            | x86_64 | oss
i+ | pcp-pmda-nvidia-gpu       | package | 4.3.4-7.4             | x86_64 | oss
i+ | x11-video-nvidiaG05       | package | 460.39-34.1           | x86_64 | nvidia

complete journal log will be added and journal limited to backtrace.
Comment 1 Bruno Friedmann 2021-02-17 16:07:59 UTC
Created attachment 846205 [details]
Complete reboot kernel 5.1016 + kernel-firmware-20200208-1.1

Complete journal
Comment 2 Bruno Friedmann 2021-02-17 16:08:46 UTC
Created attachment 846207 [details]
Limited log to backtrace and rip

Extract of backtrace
Comment 3 Takashi Iwai 2021-02-17 16:50:38 UTC
This looks hitting a Nvidia binary driver bug wrt runtime power management.  Cannot help much from our side.

Adding Stefan to Cc.
Comment 4 Stefan Dirsch 2021-02-17 17:16:00 UTC
Sounds like a regression in kernel-firmware-nvidia 20210208-1.1 to me, when it still works with kernel-firmware-nvidia-20210119-1.1.
Comment 5 Takashi Iwai 2021-02-17 18:55:12 UTC
It's the driver's responsibility how to handle the firmware :)  It's possible that the firmware enables the runtime PM (which wasn't as default) while the driver doesn't do it right.

But it's all nothing but a guess.  Only Nvidia people can know / handle it.
Comment 6 Stefan Dirsch 2021-02-18 02:55:29 UTC
I  see only one change since kernel-firmware 20210119 in the source package

Tue Feb 09 14:52:28 UTC 2021 - tiwai@suse.com

- Update to version 20210208 (commit b79d2396bc63):
  * Mellanox: Add new mlxsw_spectrum firmware xx.2008.2304
  * linux-firmware: add firmware for MT7921
  * rtw88: RTL8821C: Update firmware to v24.8
  * linux-firmware: Update firmware file for Intel Bluetooth AX210
  * linux-firmware: Update firmware file for Intel Bluetooth AX200
  * linux-firmware: Update firmware file for Intel Bluetooth AX201
  * i915: Add DMC v2.01 for ADL-S
  * i915: Add HuC v7.7.1 for DG1
  * i915: Add GuC v49.0.1 for DG1
  * qcom: Add venus firmware files for VPU-1.0
  * qcom: Add SM8250 Compute DSP firmware
  * qcom: Add SM8250 Audio DSP firmware
  * qcom: add firmware files for Adreno a650

nvidia is even not mentioned at all.
Comment 7 Stefan Dirsch 2021-02-18 03:03:54 UTC
(In reply to Bruno Friedmann from comment #1)
> Created attachment 846205 [details]
> Complete reboot kernel 5.1016 + kernel-firmware-20200208-1.1
> 
> Complete journal

Just noticed this in your kernel command line

  intel_iommu=on 

Maybe you could try without it. I received a report by a user who could not load the nvidia kernel module at all with this option
set (boo#1181771).
Comment 8 Stefan Dirsch 2021-02-18 03:08:48 UTC
Feb 17 16:13:51 qt-kt kernel: Command line: BOOT_IMAGE=/boot/vmlinuz-5.10.16-1-default root=UUID=a856e118-9bb9-4842-9c7e-37d1486a141b nosplash silent plymouth.enabled=0 noresume crashkernel=256M-:128M rd.vconsole.font=ter-v32b.psfu rd.vconsole.keymap=ch-fr rd.locale.LANG=en_US.UTF-8 audit=0 apparmor=0 mitigations=auto blacklist=nouveau nvidia-drm.modeset=0 nvme_core.default_ps_max_latency_us=5500 intel_iommu=on iommu=pt hugepages=4096 scsi_mod.use_blk_mq=1 usb_storage.quirks=0x0bc2:0xab38:u

Sure you can still explain why you added which option for which reason? Or maybe it's time to switch back to our default options
and only add again what you really (still) need?
Comment 9 Bruno Friedmann 2021-02-18 08:23:41 UTC
Thanks for your input. Here some anwser: strangely using the old nvidia 20200119 works, so even if they are not mentionned there's something with them.
I attempt a rough guess : wouldn't be a related things with the upgrade of glibc 2.33 the snapshot before and now those new firmware ?

about my boot line this is a long travel since the last 5 years with this computer to make everything as "it should (my own standard".
nosplash silent plymouth.enabled=0 without those you finally get some kind of trouble with plymouth (which is not allowed to be installed)
noresume I don't want to allow a 68GB swap partition on nvme2To disk and I will not used suspend to disk.
 crashkernel=256M-:128M (find it in wiki to allow debug in case of crash)

rd.vconsole.font=ter-v32b.psfu rd.vconsole.keymap=ch-fr rd.locale.LANG=en_US.UTF-8 
with efi and hidpi already at boot and console, you need those otherwise you have to bring a magnifier all the time with you :-)

audit=0 apparmor=0 simply the inverse of the default (I know the implication)
mitigations=auto (added as I found few times ago that they are not applied)
blacklist=nouveau nvidia-drm.modeset=0 (related to nvidia and nouveau I forced them so if I reboot with intel gpu on for debug or sos, mkinitrd and other will not forget that I normally use nvidia)
nvme_core.default_ps_max_latency_us=5500 scsi_mod.use_blk_mq=1 are related to my nvme disk which is bogus without this.
intel_iommu=on iommu=pt (be sure iommu are on and in used for the virtual machine but ok those where installed almost 3 years ago ;-)
hugepages=4096 (activate them cause I need them for postgresql work related)
usb_storage.quirks=0x0bc2:0xab38:u (cause my last seagate external usb disk is bogging with UAS)

I will try a reboot without iommu
Comment 10 Bruno Friedmann 2021-02-18 08:29:41 UTC
Some additionnal hardware info
16: PCI 100.0: 0300 VGA compatible controller (VGA)
  [Created at pci.386]
  Unique ID: VCu0.9l3AQmZ2iHF
  Parent ID: vSkL.4MMsgUjzdYE
  SysFS ID: /devices/pci0000:00/0000:00:01.0/0000:01:00.0
  SysFS BusID: 0000:01:00.0
  Hardware Class: graphics card
  Model: "nVidia GM107GLM [Quadro M2000M]"
  Vendor: pci 0x10de "nVidia Corporation"
  Device: pci 0x13b0 "GM107GLM [Quadro M2000M]"
  SubVendor: pci 0x1028 "Dell"
  SubDevice: pci 0x16d9
  Revision: 0xa2
  Driver: "nvidia"
  Driver Modules: "nvidia"
  Memory Range: 0xdd000000-0xddffffff (rw,non-prefetchable)
  Memory Range: 0xc0000000-0xcfffffff (ro,non-prefetchable)
  Memory Range: 0xd0000000-0xd1ffffff (ro,non-prefetchable)
  I/O Ports: 0xe000-0xefff (rw)
  Memory Range: 0x000c0000-0x000dffff (rw,non-prefetchable,disabled)
  IRQ: 141 (787221 events)
  Module Alias: "pci:v000010DEd000013B0sv00001028sd000016D9bc03sc00i00"
  Driver Info #0:
    Driver Status: nouveau is not active
    Driver Activation Cmd: "modprobe nouveau"
  Driver Info #1:
    Driver Status: nvidia_drm is active
    Driver Activation Cmd: "modprobe nvidia_drm"
  Driver Info #2:
    Driver Status: nvidia is active
    Driver Activation Cmd: "modprobe nvidia"
  Config Status: cfg=no, avail=yes, need=no, active=unknown
  Attached to: #13 (PCI bridge)

Primary display adapter: #16

+-----------------------------------------------------------------------------+
| NVIDIA-SMI 460.39       Driver Version: 460.39       CUDA Version: 11.2     |
|-------------------------------+----------------------+----------------------+
| GPU  Name        Persistence-M| Bus-Id        Disp.A | Volatile Uncorr. ECC |
| Fan  Temp  Perf  Pwr:Usage/Cap|         Memory-Usage | GPU-Util  Compute M. |
|                               |                      |               MIG M. |
|===============================+======================+======================|
|   0  Quadro M2000M       Off  | 00000000:01:00.0  On |                  N/A |
| N/A   51C    P5    N/A /  N/A |   1184MiB /  4010MiB |      7%      Default |
|                               |                      |                  N/A |
+-------------------------------+----------------------+----------------------+

+-----------------------------------------------------------------------------+
| Processes:                                                                  |
|  GPU   GI   CI        PID   Type   Process name                  GPU Memory |
|        ID   ID                                                   Usage      |
|=============================================================================|
|    0   N/A  N/A      1869      G   /usr/bin/Xorg.bin                 380MiB |
|    0   N/A  N/A      2607      G   /usr/bin/kwin_x11                   1MiB |
|    0   N/A  N/A      2664      G   /usr/bin/plasmashell              251MiB |
|    0   N/A  N/A      2842      G   /usr/bin/nextcloud                 11MiB |
|    0   N/A  N/A      2977      G   ...akonadi_archivemail_agent        1MiB |
|    0   N/A  N/A      3137      G   .../akonadi_mailfilter_agent        1MiB |
|    0   N/A  N/A      3163      G   ...n/akonadi_sendlater_agent        1MiB |
|    0   N/A  N/A      3168      G   ...nadi_unifiedmailbox_agent      208MiB |
|    0   N/A  N/A      4108      G   /usr/bin/kmail                     40MiB |
|    0   N/A  N/A      4930      G   /usr/lib64/firefox/firefox          1MiB |
|    0   N/A  N/A      4985      G   /usr/lib64/firefox/firefox          1MiB |
|    0   N/A  N/A      4994      G   /usr/lib64/firefox/firefox          1MiB |
|    0   N/A  N/A      5025      G   /usr/lib64/firefox/firefox          1MiB |
|    0   N/A  N/A      5059      G   /usr/lib64/firefox/firefox        104MiB |
|    0   N/A  N/A      5086      G   /usr/lib64/firefox/firefox        156MiB |
+-----------------------------------------------------------------------------+

vendor_id       : GenuineIntel
cpu family      : 6
model           : 94
model name      : Intel(R) Xeon(R) CPU E3-1535M v5 @ 2.90GHz
stepping        : 3
microcode       : 0xe2
cpu MHz         : 1217.740
cache size      : 8192 KB
physical id     : 0
siblings        : 8
core id         : 3
cpu cores       : 4
apicid          : 7
initial apicid  : 7
fpu             : yes
fpu_exception   : yes
cpuid level     : 22
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp lm constant_tsc art arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc cpuid aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 sdbg fma cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm abm 3dnowprefetch cpuid_fault epb invpcid_single pti ssbd ibrs ibpb stibp tpr_shadow vnmi flexpriority ept vpid ept_ad fsgsbase tsc_adjust bmi1 hle avx2 smep bmi2 erms invpcid rtm mpx rdseed adx smap clflushopt intel_pt xsaveopt xsavec xgetbv1 xsaves dtherm ida arat pln pts hwp hwp_notify hwp_act_window hwp_epp md_clear flush_l1d
vmx flags       : vnmi preemption_timer invvpid ept_x_only ept_ad ept_1gb flexpriority tsc_offset vtpr mtf vapic ept vpid unrestricted_guest ple shadow_vmcs pml
bugs            : cpu_meltdown spectre_v1 spectre_v2 spec_store_bypass l1tf mds swapgs taa itlb_multihit srbds
bogomips        : 5799.77
clflush size    : 64
cache_alignment : 64
address sizes   : 39 bits physical, 48 bits virtual
power management:
Comment 11 Takashi Iwai 2021-02-18 08:40:28 UTC
So you downgraded only the kernel-firmware-nvidia-20200119 package (just re-install it, e.g. with rpm --nodeps --force option), and the system starts working?  If yes, after re-installing kernel-firmware-nvidia-20200208 again, the problem reappears?  We make sure that it really comes from this package update at first.

The kernel-firmware is noarch package that just contains /lib/firmware/*, so nothing special there.  I checked the file contents in both 20200119 and 20200208 wrt kernel-firmware-nvidia, and both of them are 100% identical.

The only other possible cause is that it re-create initrd, and this can be a question together with other package updates (like glibc update at this time).
Comment 12 Bruno Friedmann 2021-02-18 09:01:50 UTC
Created attachment 846230 [details]
Complete trace kernel 5.4.16 / firmware 20200208 / iommu removed from cmdline

This lead to (seems) same kernel crash in snd_intel

I was so confident about the cause. but unfortunately the crash persist
Comment 13 Bruno Friedmann 2021-02-18 09:16:18 UTC
Description of sound hardware as those are failing

hwinfo --sound
17: PCI 1f.3: 0403 Audio device                                 
  [Created at pci.386]
  Unique ID: nS1_.Y_H8ofF5EC9
  SysFS ID: /devices/pci0000:00/0000:00:1f.3
  SysFS BusID: 0000:00:1f.3
  Hardware Class: sound
  Model: "Intel 100 Series/C230 Series Chipset Family HD Audio Controller"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0xa170 "100 Series/C230 Series Chipset Family HD Audio Controller"
  SubVendor: pci 0x1028 "Dell"
  SubDevice: pci 0x06d9
  Revision: 0x31
  Driver: "snd_hda_intel"
  Driver Modules: "snd_hda_intel"
  Memory Range: 0xdf748000-0xdf74bfff (rw,non-prefetchable)
  Memory Range: 0xdf720000-0xdf72ffff (rw,non-prefetchable)
  IRQ: 16 (8 events)
  Module Alias: "pci:v00008086d0000A170sv00001028sd000006D9bc04sc03i00"
  Driver Info #0:
    Driver Status: snd_hda_intel is active
    Driver Activation Cmd: "modprobe snd_hda_intel"
  Config Status: cfg=yes, avail=yes, need=no, active=unknown

21: PCI 100.1: 0403 Audio device
  [Created at pci.386]
  Unique ID: NXNs.qTl4wi95hs5
  Parent ID: vSkL.4MMsgUjzdYE
  SysFS ID: /devices/pci0000:00/0000:00:01.0/0000:01:00.1
  SysFS BusID: 0000:01:00.1
  Hardware Class: sound
  Model: "nVidia GM107 High Definition Audio Controller [GeForce 940MX]"
  Vendor: pci 0x10de "nVidia Corporation"
  Device: pci 0x0fbc "GM107 High Definition Audio Controller [GeForce 940MX]"
  SubVendor: pci 0x1028 "Dell"
  SubDevice: pci 0x16d9
  Revision: 0xa1
  Driver: "snd_hda_intel"
  Driver Modules: "snd_hda_intel"
  Memory Range: 0xde080000-0xde083fff (rw,non-prefetchable)
  IRQ: 17 (27 events)
  Module Alias: "pci:v000010DEd00000FBCsv00001028sd000016D9bc04sc03i00"
  Driver Info #0:
    Driver Status: snd_hda_intel is active
    Driver Activation Cmd: "modprobe snd_hda_intel"
  Config Status: cfg=yes, avail=yes, need=no, active=unknown
  Attached to: #13 (PCI bridge)

34: USB 00.2: 0401 Multimedia audio controller
  [Created at usb.122]
  Unique ID: jiVg.0ERVjJA33N5
  Parent ID: C1e4.UwZP44Y12kC
  SysFS ID: /devices/pci0000:00/0000:00:14.0/usb1/1-7/1-7.1/1-7.1.1/1-7.1.1:1.2
  SysFS BusID: 1-7.1.1:1.2
  Hardware Class: sound
  Model: "Dell AC511 USB SoundBar"
  Hotplug: USB
  Vendor: usb 0x413c "Dell Computer Corp."
  Device: usb 0xa503 "Dell AC511 USB SoundBar"
  Revision: "1.10"
  Driver: "snd-usb-audio"
  Driver Modules: "snd_usb_audio"
  Speed: 12 Mbps
  Module Alias: "usb:v413CpA503d0110dc00dsc00dp00ic01isc02ip00in02"
  Config Status: cfg=new, avail=yes, need=no, active=unknown
  Attached to: #29 (Hub)
Comment 14 Bruno Friedmann 2021-02-18 09:43:36 UTC
Okay I'm trying several variation to understand what's happening
the combo kernel 5.10.16 + firmware 20200119 is also now giving that kind of trace

[   25.387624] snd_hda_intel 0000:01:00.1: spurious response 0x42490100:0x3331314d, rp = 0, wp = 0
[   25.387625] ------------[ cut here ]------------
[   25.387625] BUG?
[   25.387638] WARNING: CPU: 5 PID: 1846 at sound/hda/hdac_controller.c:215 snd_hdac_bus_update_rirb.cold+0x24/0x5b [snd_hda_core]
[   25.387639] Modules linked in: xt_MASQUERADE nf_log_ipv6 xt_recent ipt_REJECT nf_reject_ipv4 xt_multiport xt_comment xt_physdev xt_set xt_hashlimit xt_addrtype xt_mark xt_CT nfnetlink_log xt_NFLOG nf_log_ipv4 nf_log_common xt_LOG nf_nat_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_nat_pptp nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat_amanda ts_kmp nf_conntrack_amanda nf_conntrack_sane nf_conntrack_tftp nf_conntrack_sip nf_conntrack_pptp nf_conntrack_netlink nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_irc nf_conntrack_h323 nf_conntrack_ftp tun af_packet ip6table_mangle ip6table_nat ip6table_raw vboxnetadp(O) vboxnetflt(O) ip6table_filter ip6_tables ip_set_hash_net ip_set nfnetlink xt_tcpudp xt_conntrack iptable_mangle iptable_nat nf_nat nf_conntrack vboxdrv(O) nf_defrag_ipv6 nf_defrag_ipv4 iptable_raw dmi_sysfs iptable_filter ip_tables cmac x_tables bpfilter algif_hash algif_skcipher af_alg bnep nvidia_drm(POE) nvidia_modeset(POE) nvidia_uvm(POE) iTCO_wdt
[   25.387659]  x86_pkg_temp_thermal iwlmvm xpad intel_pmc_bxt intel_powerclamp btusb ff_memless ee1004 coretemp iTCO_vendor_support dell_laptop mei_wdt mei_hdcp mac80211 intel_rapl_msr kvm_intel ppdev btrtl ledtrig_audio dell_wmi btbcm dell_smm_hwmon nvidia(POE) btintel dell_smbios libarc4 kvm snd_usb_audio iwlwifi uvcvideo videobuf2_vmalloc videobuf2_memops cdc_mbim videobuf2_v4l2 dcdbas snd_usbmidi_lib irqbypass pcspkr drm_kms_helper sparse_keymap dell_wmi_descriptor efi_pstore intel_wmi_thunderbolt cdc_wdm videobuf2_common mxm_wmi bluetooth wmi_bmof e1000e i2c_i801 snd_rawmidi cdc_ncm i2c_smbus cfg80211 videodev cec cdc_ether qcserial usbnet snd_seq_device ecdh_generic rc_core mei_me usb_wwan processor_thermal_device mii fb_sys_fops intel_rapl_common joydev syscopyarea mc ecc usbserial mei intel_pch_thermal sysfillrect parport_pc sysimgblt ie31200_edac intel_soc_dts_iosf thermal tiny_power_button parport int3403_thermal ac dell_rbtn int3402_thermal dell_smo8800 rfkill button
[   25.387682]  int340x_thermal_zone int3400_thermal acpi_thermal_rel acpi_pad nls_iso8859_1 nls_cp437 vfat fat drm fuse configfs uas usb_storage hid_logitech_hidpp hid_logitech_dj hid_generic usbhid dm_crypt xhci_pci xhci_pci_renesas xhci_hcd rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul mmc_core ghash_clmulni_intel aesni_intel glue_helper crypto_simd usbcore cryptd nvme serio_raw nvme_core rtsx_pci battery wmi video btrfs blake2b_generic libcrc32c crc32c_intel xor raid6_pq dm_mirror dm_region_hash dm_log snd_hda_intel snd_intel_dspcfg soundwire_intel soundwire_generic_allocation snd_soc_core snd_compress snd_pcm_dmaengine soundwire_cadence soundwire_bus snd_hda_codec snd_hwdep snd_hda_core snd_pcm snd_timer snd soundcore l2tp_ppp l2tp_netlink l2tp_core ip6_udp_tunnel udp_tunnel pppox ppp_generic slhc sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua br_netfilter bridge stp llc msr efivarfs
[   25.387705] CPU: 5 PID: 1846 Comm: Xorg.bin Tainted: P        W  OE     5.10.16-1-default #1 openSUSE Tumbleweed
[   25.387706] Hardware name: Dell Inc. Precision 7510/0YH43H, BIOS 1.21.3 08/04/2020
[   25.387709] RIP: 0010:snd_hdac_bus_update_rirb.cold+0x24/0x5b [snd_hda_core]
[   25.387709] Code: f3 e9 52 a1 ff ff 48 8b 3b 41 89 e9 44 89 e9 44 89 fa 48 c7 c6 f0 0c 39 c0 e8 93 ed c8 f3 48 c7 c7 7d cc 38 c0 e8 d0 23 c6 f3 <0f> 0b 0f b7 83 90 03 00 00 e9 2f bf ff ff 48 8b 3b 44 89 e9 44 89
[   25.387710] RSP: 0018:ffffb7d3c07a34b0 EFLAGS: 00010082
[   25.387711] RAX: 0000000000000000 RBX: ffff92b830392018 RCX: ffff92c5c455ab88
[   25.387712] RDX: 00000000ffffffd8 RSI: 0000000000000027 RDI: ffff92c5c455ab80
[   25.387713] RBP: 0000000000000000 R08: ffff92c60474fc28 R09: 0000000000013ffb
[   25.387713] R10: 00000000ffffc000 R11: 3fffffffffffffff R12: ffff92b830392018
[   25.387714] R13: 000000003331314d R14: 00000000fffe0000 R15: 0000000042490100
[   25.387715] FS:  00007f117e5e2940(0000) GS:ffff92c5c4540000(0000) knlGS:0000000000000000
[   25.387716] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   25.387717] CR2: 00007f59e8e11d10 CR3: 000000029a84c002 CR4: 00000000003706e0
[   25.387717] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   25.387718] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[   25.387718] Call Trace:
[   25.387722]  snd_hdac_bus_get_response+0x6d/0x260 [snd_hda_core]
[   25.387723]  ? _dev_warn+0x6c/0x83
[   25.387724]  ? wait_woken+0x80/0x80
[   25.387728]  azx_rirb_get_response+0x24/0x70 [snd_hda_codec]
[   25.387731]  snd_hdac_bus_exec_verb_unlocked+0xa2/0x160 [snd_hda_core]
[   25.387734]  codec_exec_verb+0x72/0x110 [snd_hda_codec]
[   25.387817]  nv_audio_dynamic_power+0xf6/0x120 [nvidia]
[   25.387947]  _nv039365rm+0x28/0x30 [nvidia]
[   25.388075]  ? _nv000777rm+0x90/0x90 [nvidia]
[   25.388280]  ? _nv036119rm+0x184/0x190 [nvidia]
[   25.388480]  ? _nv038923rm+0xb8/0x150 [nvidia]
[   25.388623]  ? _nv037978rm+0x274/0x2d0 [nvidia]
[   25.388745]  ? _nv009273rm+0x34c/0x420 [nvidia]
[   25.388866]  ? _nv036234rm+0x57/0x100 [nvidia]
[   25.388988]  ? _nv008269rm+0x55/0xa0 [nvidia]
[   25.389109]  ? _nv008269rm+0x34/0xa0 [nvidia]
[   25.389233]  ? rm_kernel_rmapi_op+0x159/0x1b0 [nvidia]
[   25.389241]  ? nvkms_call_rm+0x4b/0x80 [nvidia_modeset]
[   25.389251]  ? _nv002678kms+0x51/0x60 [nvidia_modeset]
[   25.389260]  ? _nv000672kms+0x2cf/0x4f0 [nvidia_modeset]
[   25.389344]  ? os_acquire_spinlock+0xe/0x20 [nvidia]
[   25.389496]  ? _nv001690rm+0x9c/0xd0 [nvidia]
[   25.389613]  ? _nv022269rm+0x60/0x60 [nvidia]
[   25.389622]  ? _nv002540kms+0x101/0x550 [nvidia_modeset]
[   25.389706]  ? os_acquire_spinlock+0xe/0x20 [nvidia]
[   25.389854]  ? _nv035411rm+0xc/0x20 [nvidia]
[   25.389939]  ? os_acquire_spinlock+0xe/0x20 [nvidia]
[   25.390084]  ? _nv035411rm+0xc/0x20 [nvidia]
[   25.390094]  ? _nv000022kms+0xbb/0x3d0 [nvidia_modeset]
[   25.390293]  ? _nv009226rm+0xc8/0x1d0 [nvidia]
[   25.390419]  ? _nv032826rm+0x40/0x40 [nvidia]
[   25.390429]  ? _nv000020kms+0x205/0x850 [nvidia_modeset]
[   25.390513]  ? os_acquire_spinlock+0xe/0x20 [nvidia]
[   25.390658]  ? _nv035411rm+0xc/0x20 [nvidia]
[   25.390803]  ? _nv009663rm+0x40/0x90 [nvidia]
[   25.390888]  ? _nv036161rm+0x2e/0xa0 [nvidia]
[   25.391008]  ? _nv038015rm+0x20/0x60 [nvidia]
[   25.391155]  ? _nv009661rm+0xbe/0x100 [nvidia]
[   25.391276]  ? _nv037980rm+0x120/0x130 [nvidia]
[   25.391420]  ? _nv037978rm+0xa9/0x2d0 [nvidia]
[   25.391506]  ? _nv039631rm+0x10/0x10 [nvidia]
[   25.391639]  ? _nv032865rm+0x1e/0x30 [nvidia]
[   25.391723]  ? os_acquire_spinlock+0xe/0x20 [nvidia]
[   25.391872]  ? _nv035386rm+0xc/0x20 [nvidia]
[   25.391957]  ? _nv040150rm+0x9b/0x190 [nvidia]
[   25.391968]  ? _nv002732kms+0x12b0/0x15f0 [nvidia_modeset]
[   25.391977]  ? _nv000556kms+0x50/0x50 [nvidia_modeset]
[   25.391984]  ? nvKmsIoctl+0x96/0x1d0 [nvidia_modeset]
[   25.391991]  ? nvkms_ioctl+0xf9/0x170 [nvidia_modeset]
[   25.392073]  ? nvidia_frontend_unlocked_ioctl+0x37/0x50 [nvidia]
[   25.392074]  ? __x64_sys_ioctl+0x83/0xb0
[   25.392075]  ? do_syscall_64+0x33/0x80
[   25.392077]  ? entry_SYSCALL_64_after_hwframe+0x44/0xa9
[   25.392078] ---[ end trace 6a5a580714ec146a ]---

While kernel 5.10.14 + firmware 20200119 has also error but no trace

[  +1.844131] snd_hda_intel 0000:01:00.1: azx_get_response timeout, switching to polling mode: last cmd=0x000f0000
[  +0.000013] snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
[  +0.000006] snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
[  +0.000004] snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
[  +0.000004] snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
[  +0.000003] snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
[  +0.000004] snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
[  +0.000004] snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
[  +0.000004] snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
[  +0.000004] snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
[  +0.000004] snd_hda_intel 0000:01:00.1: spurious response 0x0:0x0, last cmd=0x0f0000
[  +0.686836] L1TF CPU bug present and SMT on, data leak possible. See CVE-2018-3646 and https://www.kernel.org/doc/html/latest/admin-guide/hw-vuln/l1tf.html for details.
[  +0.316834] snd_hda_intel 0000:01:00.1: azx_get_response timeout, switching to single_cmd mode: last cmd=0x000f0000

Damn now I'm lost in .. ;-)
Comment 15 Stefan Dirsch 2021-02-18 09:49:48 UTC
Ok. No idea then. What I understood now is that you have a laptop with Intel and Nvidia GPU, where you disabled Intel GPU in the BIOS.
Comment 16 Bruno Friedmann 2021-02-18 19:29:13 UTC
Hi Takashi, after now 3 differents reboot I've a better vision

The rip only appear with kernel 5.10.16 whatever kernel-firmware version is used

with kernel 5.10.14 only the error spurious message appear in dmesg and this whatever firmware version is in used. 

The fact the rip appear only after 5.10.16 has mislead me to think that the newer kernel firmware was involved and 5.10.16 + firmware + glibc were all installed at the same time on this computer. 

I'm more inclined to believe this has more to do with glibc+nvidia driver (but only the audio part). 

nvidia_drm             65536  17
nvidia_modeset       1232896  38 nvidia_drm
nvidia_uvm           1155072  0
nvidia              34140160  1823 nvidia_uvm,nvidia_modeset
drm_kms_helper        274432  1 nvidia_drm
drm                   561152  20 drm_kms_helper,nvidia_drm

I've just no idea how to trace this. But I can quite easily execute some debugging as needed.
Comment 17 Bruno Friedmann 2021-02-19 08:12:01 UTC
@Stephan exactly I've always preferred run nvidia gpu alone when available. So do I buy hardware in consequence.

I will wait a week, due to glibc upgrade I guess other part of TW will be rebuild, then upgraded and see if next kernel will be better. Maybe nvidia blob will be upgraded also.

I also have another computer with nvidia drivers and kernel 5.10.16 (I've locked firmware as I was thinking it was the root cause) and it works, with a amd cpu.

[  +0.000164] snd_hda_intel 0000:01:00.1: enabling device (0000 -> 0002)
[  +0.000043] snd_hda_intel 0000:01:00.1: Disabling MSI
[  +0.000009] snd_hda_intel 0000:01:00.1: Handle vga_switcheroo audio client

Concerning the nvidia driver the message are almost identical.

Thanks for your support.
Comment 18 Bruno Friedmann 2021-02-21 17:27:52 UTC
Some news after new tests.
I've reinstalled all Mesa + xorg + nvidia related package in force mode on my TW (now at 202102019 version)

After the reboot I got a new type of trace with 5.10.16 kernel

[fév21 17:28] ACPI Warning: \_SB.PCI0.PEG0.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20200925/nsarguments-61)
[  +0.828215] BUG: unable to handle page fault for address: ffff8abec59ea004
[  +0.000003] #PF: supervisor write access in kernel mode
[  +0.000001] #PF: error_code(0x0003) - permissions violation
[  +0.000000] PGD a95001067 P4D a95001067 PUD 100ef2063 PMD a941fc063 PTE 80000001059ea161
[  +0.000003] Oops: 0003 [#1] SMP PTI
[  +0.000002] CPU: 3 PID: 1885 Comm: Xorg.bin Tainted: P           OE     5.10.16-1-default #1 openSUSE Tumbleweed
[  +0.000001] Hardware name: Dell Inc. Precision 7510/0YH43H, BIOS 1.21.3 08/04/2020
[  +0.000005] RIP: 0010:snd_hdac_bus_send_cmd+0x6b/0xe0 [snd_hda_core]
[  +0.000001] Code: ff 00 00 74 73 83 c0 01 48 8b 53 20 0f b6 c0 66 8b 52 4a 0f b7 d2 39 d0 74 46 83 81 94 03 00 00 01 48 8b 93 28 03 00 00 89 c1 <89> 2c 8a 48 8b 53 20 66 89 42 48 4c 89 ef c6 07 00 0f 1f 40 00 fb
[  +0.000001] RSP: 0018:ffff9f04007373e0 EFLAGS: 00010002
[  +0.000001] RAX: 0000000000000001 RBX: ffff8abec59a0818 RCX: 0000000000000001
[  +0.000001] RDX: ffff8abec59ea000 RSI: 00000000000f0000 RDI: ffff8abec59a0cb0
[  +0.000001] RBP: 00000000000f0000 R08: ffff8abec0d10aa0 R09: 0000000000000000
[  +0.000000] R10: 0000000000000000 R11: ffff8abed18d5098 R12: 0000000000000000
[  +0.000001] R13: ffff8abec59a0cb0 R14: ffff8abec59a0818 R15: 00000000000f0000
[  +0.000001] FS:  00007fdae320c940(0000) GS:ffff8ace044c0000(0000) knlGS:0000000000000000
[  +0.000001] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  +0.000001] CR2: ffff8abec59ea004 CR3: 00000001043e4001 CR4: 00000000003706e0
[  +0.000001] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[  +0.000000] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[  +0.000001] Call Trace:
[  +0.000005]  snd_hdac_bus_exec_verb_unlocked+0x7b/0x160 [snd_hda_core]
[  +0.000004]  codec_exec_verb+0x72/0x110 [snd_hda_codec]
[  +0.000116]  nv_audio_dynamic_power+0xf6/0x120 [nvidia]
[  +0.000153]  _nv039365rm+0x28/0x30 [nvidia]
[  +0.000130]  ? _nv000777rm+0x90/0x90 [nvidia]
[  +0.000146]  ? _nv036119rm+0x184/0x190 [nvidia]
[  +0.000199]  ? _nv038923rm+0xb8/0x150 [nvidia]
[  +0.000146]  ? _nv037978rm+0x274/0x2d0 [nvidia]
[  +0.000122]  ? _nv009273rm+0x34c/0x420 [nvidia]
[  +0.000122]  ? _nv036234rm+0x57/0x100 [nvidia]
[  +0.000121]  ? _nv008269rm+0x55/0xa0 [nvidia]
[  +0.000180]  ? _nv008269rm+0x34/0xa0 [nvidia]
[  +0.000125]  ? rm_kernel_rmapi_op+0x159/0x1b0 [nvidia]
[  +0.000012]  ? nvkms_call_rm+0x4b/0x80 [nvidia_modeset]
[  +0.000010]  ? _nv002678kms+0x51/0x60 [nvidia_modeset]
[  +0.000010]  ? _nv000672kms+0x2cf/0x4f0 [nvidia_modeset]
[  +0.000120]  ? _nv037980rm+0x9c/0x130 [nvidia]
[  +0.000011]  ? _nv002540kms+0x101/0x550 [nvidia_modeset]
[  +0.000084]  ? os_acquire_spinlock+0xe/0x20 [nvidia]
[  +0.000145]  ? _nv035411rm+0xc/0x20 [nvidia]
[  +0.000085]  ? os_acquire_spinlock+0xe/0x20 [nvidia]
[  +0.000149]  ? _nv035411rm+0xc/0x20 [nvidia]
[  +0.000010]  ? _nv000022kms+0xbb/0x3d0 [nvidia_modeset]
[  +0.000200]  ? _nv009226rm+0xc8/0x1d0 [nvidia]
[  +0.000128]  ? _nv032826rm+0x40/0x40 [nvidia]
[  +0.000010]  ? _nv000020kms+0x205/0x850 [nvidia_modeset]
[  +0.000084]  ? os_acquire_spinlock+0xe/0x20 [nvidia]
[  +0.000149]  ? _nv035411rm+0xc/0x20 [nvidia]
[  +0.000146]  ? _nv009663rm+0x40/0x90 [nvidia]
[  +0.000085]  ? _nv036161rm+0x2e/0xa0 [nvidia]
[  +0.000121]  ? _nv038015rm+0x20/0x60 [nvidia]
[  +0.000149]  ? _nv009661rm+0xbe/0x100 [nvidia]
[  +0.000121]  ? _nv037980rm+0x120/0x130 [nvidia]
[  +0.000149]  ? _nv037978rm+0xa9/0x2d0 [nvidia]
[  +0.000085]  ? _nv039631rm+0x10/0x10 [nvidia]
[  +0.000134]  ? _nv032865rm+0x1e/0x30 [nvidia]
[  +0.000085]  ? os_acquire_spinlock+0xe/0x20 [nvidia]
[  +0.000148]  ? _nv035386rm+0xc/0x20 [nvidia]
[  +0.000086]  ? _nv040150rm+0x9b/0x190 [nvidia]
[  +0.000011]  ? _nv002732kms+0x12b0/0x15f0 [nvidia_modeset]
[  +0.000011]  ? _nv002747kms+0x11a/0x180 [nvidia_modeset]
[  +0.000010]  ? _nv002717kms+0x1d9/0x1e0 [nvidia_modeset]
[  +0.000008]  ? _nv002303kms+0x608/0x640 [nvidia_modeset]
[  +0.000008]  ? _nv002305kms+0x19e/0x1e0 [nvidia_modeset]
[  +0.000002]  ? __kmalloc+0x11d/0x2a0
[  +0.000007]  ? _nv000004kms+0x3b7/0x3f0 [nvidia_modeset]
[  +0.000002]  ? __check_object_size+0x136/0x150
[  +0.000008]  ? _nv002309kms+0x3e0/0x3e0 [nvidia_modeset]
[  +0.000007]  ? nvKmsIoctl+0x96/0x1d0 [nvidia_modeset]
[  +0.000007]  ? nvkms_ioctl+0xf9/0x170 [nvidia_modeset]
[  +0.000082]  ? nvidia_frontend_unlocked_ioctl+0x37/0x50 [nvidia]
[  +0.000002]  ? __x64_sys_ioctl+0x83/0xb0
[  +0.000002]  ? do_syscall_64+0x33/0x80
[  +0.000002]  ? entry_SYSCALL_64_after_hwframe+0x44/0xa9
[  +0.000001] Modules linked in: xt_CT nfnetlink_log xt_NFLOG nf_log_ipv4 nf_log_common xt_LOG nf_nat_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_nat_pptp nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat_amanda ts_kmp nf_conntrack_amanda nf_conntrack_sane nf_conntrack_tftp nf_conntrack_sip nf_conntrack_pptp nf_conntrack_netlink nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_irc nf_conntrack_h323 nf_conntrack_ftp tun af_packet ip6table_mangle ip6table_nat vboxnetadp(O) vboxnetflt(O) ip6table_raw ip6table_filter ip6_tables ip_set_hash_net ip_set nfnetlink xt_tcpudp xt_conntrack iptable_mangle vboxdrv(O) iptable_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 iptable_raw dmi_sysfs iptable_filter cmac ip_tables x_tables algif_hash bpfilter algif_skcipher af_alg bnep iwlmvm nvidia_drm(POE) mac80211 nvidia_modeset(POE) x86_pkg_temp_thermal intel_powerclamp xpad coretemp libarc4 ff_memless iTCO_wdt intel_pmc_bxt kvm_intel ee1004 nvidia_uvm(POE) iTCO_vendor_support mei_wdt
[  +0.000028]  mei_hdcp intel_rapl_msr ppdev cdc_mbim btusb iwlwifi cdc_wdm btrtl dell_laptop uvcvideo btbcm ledtrig_audio dell_wmi kvm videobuf2_vmalloc dell_smbios dell_smm_hwmon nvidia(POE) irqbypass videobuf2_memops btintel videobuf2_v4l2 snd_usb_audio dcdbas videobuf2_common drm_kms_helper cdc_ncm i2c_i801 snd_usbmidi_lib pcspkr sparse_keymap intel_wmi_thunderbolt dell_wmi_descriptor mxm_wmi efi_pstore cec wmi_bmof e1000e cfg80211 i2c_smbus qcserial bluetooth cdc_ether snd_rawmidi usb_wwan videodev rc_core usbnet snd_seq_device usbserial mii mei_me fb_sys_fops ecdh_generic joydev ecc mc syscopyarea processor_thermal_device mei sysfillrect intel_rapl_common sysimgblt intel_pch_thermal ie31200_edac thermal parport_pc intel_soc_dts_iosf tiny_power_button int3403_thermal parport dell_smo8800 dell_rbtn button acpi_pad ac rfkill int3400_thermal int3402_thermal int340x_thermal_zone acpi_thermal_rel nls_iso8859_1 nls_cp437 vfat fat drm fuse configfs hid_logitech_hidpp uas usb_storage
[  +0.000033]  hid_logitech_dj dm_crypt hid_generic usbhid crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel rtsx_pci_sdmmc mmc_core xhci_pci glue_helper xhci_pci_renesas crypto_simd xhci_hcd cryptd nvme serio_raw nvme_core usbcore rtsx_pci battery wmi video btrfs blake2b_generic libcrc32c crc32c_intel xor raid6_pq dm_mirror dm_region_hash dm_log snd_hda_intel snd_intel_dspcfg soundwire_intel soundwire_generic_allocation snd_soc_core snd_compress snd_pcm_dmaengine soundwire_cadence soundwire_bus snd_hda_codec snd_hwdep snd_hda_core snd_pcm snd_timer snd soundcore l2tp_ppp l2tp_netlink l2tp_core ip6_udp_tunnel udp_tunnel pppox ppp_generic slhc sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua br_netfilter bridge stp llc msr efivarfs
[  +0.000028] CR2: ffff8abec59ea004
[  +0.000002] ---[ end trace a65de4e2990ef327 ]---
[  +0.000004] RIP: 0010:snd_hdac_bus_send_cmd+0x6b/0xe0 [snd_hda_core]
[  +0.000001] Code: ff 00 00 74 73 83 c0 01 48 8b 53 20 0f b6 c0 66 8b 52 4a 0f b7 d2 39 d0 74 46 83 81 94 03 00 00 01 48 8b 93 28 03 00 00 89 c1 <89> 2c 8a 48 8b 53 20 66 89 42 48 4c 89 ef c6 07 00 0f 1f 40 00 fb
[  +0.000001] RSP: 0018:ffff9f04007373e0 EFLAGS: 00010002
[  +0.000001] RAX: 0000000000000001 RBX: ffff8abec59a0818 RCX: 0000000000000001
[  +0.000000] RDX: ffff8abec59ea000 RSI: 00000000000f0000 RDI: ffff8abec59a0cb0
[  +0.000001] RBP: 00000000000f0000 R08: ffff8abec0d10aa0 R09: 0000000000000000
[  +0.000001] R10: 0000000000000000 R11: ffff8abed18d5098 R12: 0000000000000000
[  +0.000001] R13: ffff8abec59a0cb0 R14: ffff8abec59a0818 R15: 00000000000f0000
[  +0.000000] FS:  00007fdae320c940(0000) GS:ffff8ace044c0000(0000) knlGS:0000000000000000
[  +0.000001] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  +0.000001] CR2: ffff8abec59ea004 CR3: 00000001043e4001 CR4: 00000000003706e0
[  +0.000001] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[  +0.000000] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400

Still locking down the computer, forcing a hard reset.

After I rebooted to 5.10.14 I now have also rip message but the computer is usable snd_hda_intel is loaded but no device appear on pulseaudio for example.

I've dig a bit around internet and found that I could use specific option to load snd-hda-intel for my hardware

I've tried on running computer by rmmod snd-hda-intel (which works without futher crash) and reload it 
options installed in a /etc/modprobe.d/50-snd-hda-intel.conf 
options snd-hda-intel model=dell single_cmd=0

result driver loaded 
[  +0.001425] snd_hda_intel 0000:01:00.1: Disabling MSI
[  +0.000014] snd_hda_intel 0000:01:00.1: Handle vga_switcheroo audio client
[  +0.030632] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC3235: line_outs=1 (0x16/0x0/0x0/0x0/0x0) type:line
[  +0.000004] snd_hda_codec_realtek hdaudioC0D0:    speaker_outs=1 (0x14/0x0/0x0/0x0/0x0)
[  +0.000001] snd_hda_codec_realtek hdaudioC0D0:    hp_outs=1 (0x15/0x0/0x0/0x0/0x0)
[  +0.000001] snd_hda_codec_realtek hdaudioC0D0:    mono: mono_out=0x0
[  +0.000001] snd_hda_codec_realtek hdaudioC0D0:    inputs:
[  +0.000001] snd_hda_codec_realtek hdaudioC0D0:      Headset Mic=0x1a
[  +0.000001] snd_hda_codec_realtek hdaudioC0D0:      Dock Mic=0x19
[  +0.000001] snd_hda_codec_realtek hdaudioC0D0:      Headphone Mic=0x18
[  +0.000001] snd_hda_codec_realtek hdaudioC0D0:      Internal Mic=0x13
[  +0.009400] input: HDA NVidia HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input30
[  +0.000143] input: HDA NVidia HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input31
[  +0.000121] input: HDA NVidia HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input32
[  +0.000031] input: HDA NVidia HDMI/DP,pcm=9 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input33
[  +0.000038] input: HDA NVidia HDMI/DP,pcm=10 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input34
[  +0.000045] input: HDA NVidia HDMI/DP,pcm=11 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input35
[  +0.000032] input: HDA NVidia HDMI/DP,pcm=12 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input36
[  +0.038687] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1f.3/sound/card0/input37
[  +0.000234] input: HDA Intel PCH Dock Mic as /devices/pci0000:00/0000:00:1f.3/sound/card0/input38
[  +0.000081] input: HDA Intel PCH Headphone Mic as /devices/pci0000:00/0000:00:1f.3/sound/card0/input39
[  +0.000074] input: HDA Intel PCH Dock Line Out as /devices/pci0000:00/0000:00:1f.3/sound/card0/input40

And all devices appear in pulseaudio.

I've recreated with those options my 2 initrd and next reboot I will retry once more 5.10.16.
I still don't understood why I should now force those parameters
Comment 19 Takashi Iwai 2021-02-22 14:14:26 UTC
I guess single_cmd=0 alone should suffice to suppress the critical behavior.
But the comment 14 indicates that Nvidia driver had already the problem with the runtime PM of its HDMI/DP audio.
Comment 20 Stefan Dirsch 2021-03-04 12:23:16 UTC
@Daniel Dadap This reminds me to the issue we talked about in our call lately.

* HDA questions
  * suspend/resume race condition for ELD interrupt handling
  * Looking for possible solutions within HDA stack
Comment 22 Takashi Iwai 2021-03-06 09:41:08 UTC
I built a test kernel with a potential fix patch.  It's 5.11.x based on the latest Kernel:stable.
  http://download.opensuse.org/repositories/home:/tiwai:/bsc1182377/standard/

Please check if this avoids the bug.
Comment 24 Bruno Friedmann 2021-03-07 08:26:43 UTC
Hi Takashi, thanks for the kernel, I will install and test it this sunday.

A followup with the actual Tumbleweed 5.10.16-1-default and the new nvidia drivers 460.56-35.1

There's still a crash if I let the computer running normally (boot + autologin on X11 kde plasma) Rip trace + black screen and nivida module crashed (can't be removed, nor Xorg.bin be killable)

If I start with single, I can enter maintenance console (in dmesg there's no RIP) I remove with snd_hda_intel then all nvidia stack (rmmod nvidia_drm nvidia_uvm nvidia_modeset nvidia) then I load manually the two module
 modprobe -v nvidia
 modprobe -v snd_hda_intel

then exit and continue the normal boot, everything run fine afterwards.
So the loading order seems to have an impact.
--

So now I will test the 5.11 version.
Comment 25 Bruno Friedmann 2021-03-07 10:28:27 UTC
With kernel 5.11.3 (or actual TW 5.11.2) there's a new RIP trace, which is worst as it doesn't allow to open rootfs (fully encrypted here) and doesn't allow single mode to start.

Example extract 
mar 07 09:57:23 qt-kt kernel: CPU: 2 PID: 694 Comm: systemd-udevd Not tainted 5.11.3-1.g41a3f7e-default #1 openSUSE Tumbleweed (unreleased)
mar 07 09:57:23 qt-kt kernel: Hardware name: Dell Inc. Precision 7510/0YH43H, BIOS 1.21.3 08/04/2020
mar 07 09:57:23 qt-kt kernel: RIP: 0010:kobject_put+0x19/0x1d0
mar 07 09:57:23 qt-kt kernel: Code: 48 c7 c7 48 33 e6 9a e8 85 b5 fe ff eb d6 0f 1f 00 48 85 ff 0f 84 b4 00 00 00 41 56 41 55 41 54 55 48 89 fd 53 bb ff ff ff ff <f6> 45 3c 01 0f 84 80 00 00 00 48 8d 7d 38 89 d8 f0 0f c1 45 38 83
mar 07 09:57:23 qt-kt kernel: RSP: 0018:ffffa9d640a4fd98 EFLAGS: 00010286
mar 07 09:57:23 qt-kt kernel: RAX: 0000000000000000 RBX: 00000000ffffffff RCX: 0000000000000000
mar 07 09:57:23 qt-kt kernel: RDX: 0000000000000001 RSI: 0000000000000000 RDI: d111515f2ad71427
mar 07 09:57:23 qt-kt kernel: RBP: d111515f2ad71427 R08: 0000000000000001 R09: 0000000000000000
mar 07 09:57:23 qt-kt kernel: R10: 0000000000000001 R11: ffff889204881900 R12: d111515f2ad71427
mar 07 09:57:23 qt-kt kernel: R13: 0000000000007027 R14: ffffa9d640a4fe80 R15: 0000000000010000
mar 07 09:57:23 qt-kt kernel: FS:  00007f18f3717940(0000) GS:ffff88a144480000(0000) knlGS:0000000000000000
mar 07 09:57:23 qt-kt kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
mar 07 09:57:23 qt-kt kernel: CR2: 00005594d70a49e0 CR3: 0000000102ce0005 CR4: 00000000003706e0
mar 07 09:57:23 qt-kt kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
mar 07 09:57:23 qt-kt kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
mar 07 09:57:23 qt-kt kernel: Call Trace:
mar 07 09:57:23 qt-kt kernel:  kset_unregister+0x25/0x40
mar 07 09:57:23 qt-kt kernel:  ? 0xffffffffc079f000
mar 07 09:57:23 qt-kt kernel:  sysman_init+0x20a/0x1000 [dell_wmi_sysman]
mar 07 09:57:23 qt-kt kernel:  do_one_initcall+0x44/0x1d0
mar 07 09:57:23 qt-kt kernel:  ? kmem_cache_alloc_trace+0xfe/0x250
mar 07 09:57:23 qt-kt kernel:  do_init_module+0x5c/0x260
mar 07 09:57:23 qt-kt kernel:  __do_sys_init_module+0x13b/0x1c0
mar 07 09:57:23 qt-kt kernel:  do_syscall_64+0x33/0x80
mar 07 09:57:23 qt-kt kernel:  entry_SYSCALL_64_after_hwframe+0x44/0xa9
mar 07 09:57:23 qt-kt kernel: RIP: 0033:0x7f18f437889e
mar 07 09:57:23 qt-kt kernel: Code: 48 8b 0d d5 15 0c 00 f7 d8 64 89 01 48 83 c8 ff c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 49 89 ca b8 af 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d a2 15 0c 00 f7 d8 64 89 01 48
mar 07 09:57:23 qt-kt kernel: RSP: 002b:00007ffcb78a4118 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
mar 07 09:57:23 qt-kt kernel: RAX: ffffffffffffffda RBX: 00005594d709ba40 RCX: 00007f18f437889e
mar 07 09:57:23 qt-kt kernel: RDX: 00007f18f44b93a3 RSI: 0000000000017027 RDI: 00005594d78aa8a0
mar 07 09:57:23 qt-kt kernel: RBP: 00005594d78aa8a0 R08: 00005594d709a260 R09: 0000000000000003
mar 07 09:57:23 qt-kt kernel: R10: 000055918e440d6a R11: 0000000000000246 R12: 00007f18f44b93a3
mar 07 09:57:23 qt-kt kernel: usb 1-5.2: new full-speed USB device number 14 using xhci_hcd
mar 07 09:57:23 qt-kt kernel: R13: 00005594d7097d30 R14: 0000000000000000 R15: 00005594d7099370
mar 07 09:57:23 qt-kt kernel: Modules linked in: joydev ecc mc dell_wmi_sysman(+) dell_smbios fjes(-) dcdbas pcc_cpufreq(-) sparse_keymap intel_wmi_thunderbolt dell_wmi_descriptor acpi_cpufreq(-) cfg80211 i2c_i801 mxm_wmi wmi_bmof i2c_smbus e1000e(+) mei_me processor_thermal_device processor_thermal_rfim mei processor_thermal_mbox processor_thermal_rapl intel_pch_thermal intel_rapl_common ie31200_edac intel_soc_dts_iosf thermal tiny_power_button parport_pc int3403_thermal dell_rbtn int3400_thermal int3402_thermal ac parport dell_smo8800 acpi_pad int340x_thermal_zone acpi_thermal_rel rfkill button nls_iso8859_1 nls_cp437 vfat fat drm fuse configfs hid_logitech_hidpp uas usb_storage hid_logitech_dj dm_crypt hid_generic usbhid crct10dif_pclmul rtsx_pci_sdmmc xhci_pci xhci_pci_renesas crc32_pclmul ghash_clmulni_intel mmc_core aesni_intel nvme glue_helper crypto_simd xhci_hcd serio_raw cryptd usbcore rtsx_pci nvme_core battery video wmi btrfs blake2b_generic libcrc32c crc32c_intel xor raid6_pq dm_mirror
mar 07 09:57:23 qt-kt kernel:  dm_region_hash dm_log snd_hda_intel snd_intel_dspcfg soundwire_intel soundwire_generic_allocation snd_soc_core snd_compress snd_pcm_dmaengine soundwire_cadence soundwire_bus snd_hda_codec snd_hwdep snd_hda_core snd_pcm snd_timer snd soundcore l2tp_ppp l2tp_netlink l2tp_core ip6_udp_tunnel udp_tunnel pppox ppp_generic slhc sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua br_netfilter bridge stp llc msr efivarfs
mar 07 09:57:23 qt-kt kernel: ---[ end trace 92237ce006e414fd ]---

I will attach the whole journal from this sessions.
Comment 26 Bruno Friedmann 2021-03-07 10:30:26 UTC
Created attachment 846861 [details]
kernel 5.11.3 boot journal

I've been forced to ctrl-alt-del during the process to stop the computer, and finally force poweroff manually after 3 minutes (umount doesn't want to respond)
Comment 27 Bruno Friedmann 2021-03-07 10:38:35 UTC
Created attachment 846862 [details]
kernel 5.11.2 RIP: 0010:kobject_put+0x19/0x1d0 and RIP: 0033:0x7fd93ce1c89e

Typical 5.11 error which doesn't allow running system in single mode.

I'm now running 5.10.16 (boot single, remove snd_hda_intel nvidia*, modprobe nvidia, snd_hda_intel)

Can I test something else ?
Comment 28 Takashi Iwai 2021-03-07 11:44:25 UTC
It's a completely different problem, please open another bug.

And try to pass module_blacklist=dell-wmi-sysman boot option to avoid loading this particular module (although I don't thin that's the root cause -- just to be sure).
Comment 29 Bruno Friedmann 2021-03-07 13:55:13 UTC
Created attachment 846866 [details]
Crash continue to occur

Sorry picture is almost totally blurred but I can't have a working single mode.
add dell-wmi-sysman in blacklist doesn't help unfortunately.

I don't get any crash recorded in journal, just rip filling up the boot console has (tried) captured in picture.

:-(
Comment 34 Takashi Iwai 2021-03-10 11:36:51 UTC
The upstream patchset submission:
  https://lore.kernel.org/alsa-devel/20210310112809.9215-1-tiwai@suse.de/
Comment 35 Bruno Friedmann 2021-03-14 18:27:13 UTC
Created attachment 847185 [details]
RIP: 0010:kobject_put+0x19/0x1d0 kernel with 5.11.4 - nvidia 460.56-35.1

Still crashes after upgrading TW to last version 20210311

Mar 14 19:10:11 qt-kt kernel: usbcore: registered new interface driver qcserial
Mar 14 19:10:11 qt-kt kernel: usbserial: USB Serial support registered for Qualcomm USB modem
Mar 14 19:10:11 qt-kt kernel: qcserial 2-2:1.0: Qualcomm USB modem converter detected
Mar 14 19:10:11 qt-kt kernel: usb 2-2: Qualcomm USB modem converter now attached to ttyUSB0
Mar 14 19:10:11 qt-kt kernel: Intel(R) Wireless WiFi driver for Linux
Mar 14 19:10:12 qt-kt kernel: usbcore: registered new interface driver cdc_ether
Mar 14 19:10:12 qt-kt kernel: stack segment: 0000 [#1] SMP PTI
Mar 14 19:10:12 qt-kt kernel: CPU: 7 PID: 725 Comm: systemd-udevd Not tainted 5.11.4-1-default #1 openSUSE Tumbleweed
Mar 14 19:10:12 qt-kt kernel: qcserial 2-2:1.2: Qualcomm USB modem converter detected
Mar 14 19:10:12 qt-kt kernel: iwlwifi 0000:02:00.0: enabling device (0000 -> 0002)
Mar 14 19:10:12 qt-kt kernel: Hardware name: Dell Inc. Precision 7510/0YH43H, BIOS 1.21.3 08/04/2020
Mar 14 19:10:12 qt-kt kernel: RIP: 0010:kobject_put+0x19/0x1d0
Mar 14 19:10:12 qt-kt kernel: Code: 48 c7 c7 08 34 66 9f e8 35 b6 fe ff eb d6 0f 1f 00 48 85 ff 0f 84 b4 00 00 00 41 56 41 55 41 54 55 48 89 fd 53 bb ff ff ff ff <f6> 45 3c 01 0f 84 80 00 00 00 48 8d 7d 38 89 d8 f0 0f c1 45 38 83
Mar 14 19:10:12 qt-kt kernel: RSP: 0018:ffffabad00acfd98 EFLAGS: 00010202
Mar 14 19:10:12 qt-kt kernel: RAX: 0000000000000000 RBX: 00000000ffffffff RCX: 0000000000000000
Mar 14 19:10:12 qt-kt kernel: RDX: 0000000000000001 RSI: 0000000000000000 RDI: 645fd9d152294310
Mar 14 19:10:12 qt-kt kernel: RBP: 645fd9d152294310 R08: ffff9b8341a25380 R09: ffff9b80401f1258
Mar 14 19:10:12 qt-kt kernel: R10: 0000000000000019 R11: ffff9b80c0fc0000 R12: 645fd9d152294310
Mar 14 19:10:12 qt-kt kernel: usb 2-2: Qualcomm USB modem converter now attached to ttyUSB1
Mar 14 19:10:12 qt-kt kernel: R13: 0000000000007ea3 R14: ffffabad00acfe80 R15: 0000000000010000
Mar 14 19:10:12 qt-kt kernel: FS:  00007f690618c940(0000) GS:ffff9b8fc45c0000(0000) knlGS:0000000000000000
Mar 14 19:10:12 qt-kt kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Mar 14 19:10:12 qt-kt kernel: CR2: 00005571d418d000 CR3: 0000000102f76001 CR4: 00000000003706e0
Mar 14 19:10:12 qt-kt kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Mar 14 19:10:12 qt-kt kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Mar 14 19:10:12 qt-kt kernel: Call Trace:
Mar 14 19:10:12 qt-kt kernel:  kset_unregister+0x25/0x40
Mar 14 19:10:12 qt-kt kernel: qcserial 2-2:1.3: Qualcomm USB modem converter detected
Mar 14 19:10:12 qt-kt kernel:  ? 0xffffffffc0982000
Mar 14 19:10:12 qt-kt kernel: usb 2-2: Qualcomm USB modem converter now attached to ttyUSB2
Mar 14 19:10:12 qt-kt kernel:  sysman_init+0x20a/0x1000 [dell_wmi_sysman]
Mar 14 19:10:12 qt-kt kernel:  do_one_initcall+0x44/0x1d0
Mar 14 19:10:12 qt-kt kernel:  ? kmem_cache_alloc_trace+0xfe/0x250
Mar 14 19:10:12 qt-kt kernel:  do_init_module+0x5c/0x270
Mar 14 19:10:12 qt-kt kernel: usb 1-5.2: USB disconnect, device number 7
Mar 14 19:10:12 qt-kt kernel:  __do_sys_init_module+0x13b/0x1c0
Mar 14 19:10:12 qt-kt kernel:  do_syscall_64+0x33/0x80
Mar 14 19:10:12 qt-kt kernel:  entry_SYSCALL_64_after_hwframe+0x44/0xa9
Mar 14 19:10:12 qt-kt kernel: RIP: 0033:0x7f6906ddd15e
Mar 14 19:10:12 qt-kt kernel: Code: 48 8b 0d 15 1d 0c 00 f7 d8 64 89 01 48 83 c8 ff c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 49 89 ca b8 af 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d e2 1c 0c 00 f7 d8 64 89 01 48
Mar 14 19:10:12 qt-kt kernel: RSP: 002b:00007ffc64c8a268 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
Mar 14 19:10:12 qt-kt kernel: RAX: ffffffffffffffda RBX: 00005571d3967360 RCX: 00007f6906ddd15e
Mar 14 19:10:12 qt-kt kernel: RDX: 00007f6906f1e3a3 RSI: 0000000000017ea3 RDI: 00005571d4176920
Mar 14 19:10:12 qt-kt kernel: RBP: 00005571d4176920 R08: 00005571d3961b40 R09: 0000000000000003
Mar 14 19:10:12 qt-kt kernel: R10: 00005574848b2471 R11: 0000000000000246 R12: 00007f6906f1e3a3
Mar 14 19:10:12 qt-kt kernel: R13: 00005571d3961f40 R14: 0000000000000000 R15: 00005571d3963d30
Mar 14 19:10:12 qt-kt kernel: Modules linked in: dell_wmi_sysman(+) snd_rawmidi acpi_cpufreq(+) sparse_keymap intel_wmi_thunderbolt mxm_wmi iwlwifi videodev(+) cdc_ether qcserial snd_seq_device usbnet dell_wmi_descriptor fjes(-) pcc_cpufreq(-) fb_sys_fops ecdh_generic usb_wwan mii syscopyarea ecc mc usbserial joydev i2c_i801 sysfillrect cfg80211 e1000e(+) wmi_bmof i2c_smbus sysimgblt mei_me processor_thermal_device processor_thermal_rfim intel_pch_thermal thermal mei parport_pc tiny_power_button processor_thermal_mbox processor_thermal_rapl parport intel_rapl_common dell_rbtn int3403_thermal ac int3400_thermal int3402_thermal rfkill intel_soc_dts_iosf ie31200_edac int340x_thermal_zone dell_smo8800 acpi_thermal_rel acpi_pad button nls_iso8859_1 nls_cp437 vfat fat fuse configfs hid_logitech_hidpp hid_logitech_dj dm_crypt uas usb_storage hid_generic usbhid xhci_pci xhci_pci_renesas crct10dif_pclmul rtsx_pci_sdmmc crc32_pclmul ghash_clmulni_intel mmc_core xhci_hcd nvme aesni_intel glue_helper crypto_simd
Mar 14 19:10:12 qt-kt kernel:  cryptd nvme_core usbcore serio_raw rtsx_pci battery video wmi btrfs blake2b_generic libcrc32c crc32c_intel xor raid6_pq dm_mirror dm_region_hash dm_log snd_hda_intel snd_intel_dspcfg soundwire_intel soundwire_generic_allocation snd_soc_core snd_compress snd_pcm_dmaengine soundwire_cadence soundwire_bus snd_hda_codec snd_hwdep snd_hda_core snd_pcm snd_timer snd soundcore l2tp_ppp l2tp_netlink l2tp_core ip6_udp_tunnel udp_tunnel pppox ppp_generic slhc sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua br_netfilter bridge stp llc msr efivarfs
Mar 14 19:10:12 qt-kt kernel: Modules linked in: dell_wmi_sysman(+) snd_rawmidi acpi_cpufreq(+) sparse_keymap intel_wmi_thunderbolt mxm_wmi iwlwifi videodev(+) cdc_ether qcserial snd_seq_device usbnet dell_wmi_descriptor fjes(-) pcc_cpufreq(-) fb_sys_fops ecdh_generic usb_wwan mii syscopyarea ecc mc usbserial joydev i2c_i801 sysfillrect cfg80211 e1000e(+) wmi_bmof i2c_smbus sysimgblt mei_me processor_thermal_device processor_thermal_rfim intel_pch_thermal thermal mei parport_pc tiny_power_button processor_thermal_mbox processor_thermal_rapl parport intel_rapl_common dell_rbtn int3403_thermal ac int3400_thermal int3402_thermal rfkill intel_soc_dts_iosf ie31200_edac int340x_thermal_zone dell_smo8800 acpi_thermal_rel acpi_pad button nls_iso8859_1 nls_cp437 vfat fat fuse configfs hid_logitech_hidpp hid_logitech_dj dm_crypt uas usb_storage hid_generic usbhid xhci_pci xhci_pci_renesas crct10dif_pclmul rtsx_pci_sdmmc crc32_pclmul ghash_clmulni_intel mmc_core xhci_hcd nvme aesni_intel glue_helper crypto_simd
Mar 14 19:10:12 qt-kt kernel:  cryptd nvme_core usbcore serio_raw rtsx_pci battery video wmi btrfs blake2b_generic libcrc32c crc32c_intel xor raid6_pq dm_mirror dm_region_hash dm_log snd_hda_intel snd_intel_dspcfg soundwire_intel soundwire_generic_allocation snd_soc_core snd_compress snd_pcm_dmaengine soundwire_cadence soundwire_bus snd_hda_codec snd_hwdep snd_hda_core snd_pcm snd_timer snd soundcore l2tp_ppp l2tp_netlink l2tp_core ip6_udp_tunnel udp_tunnel pppox ppp_generic slhc sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua br_netfilter bridge stp llc msr efivarfs
Mar 14 19:10:12 qt-kt kernel: ---[ end trace 5bc700239a98965f ]---
Comment 36 Takashi Iwai 2021-03-15 08:09:25 UTC
Could you test with the latest kernel in OBS Kernel:stable repo?  This contains a few recent upstream fixes.
Comment 37 Bruno Friedmann 2021-03-16 08:35:29 UTC
Created attachment 847260 [details]
Journal of booting kernel 5.11.6-4.g3222af6-default

Here the recorded tried boot with 5.11.6-4.g3222af6-default booting in single mode.

Unfortunately, I can't even have a login console, kernel rip with numerous errors which have not been recorded, and start an automatic reboot after 90s.

So things are getting worst for the moment. 
Sorry for the not great news :-(
Comment 38 Bruno Friedmann 2021-03-20 16:26:15 UTC
Created attachment 847481 [details]
RIP Kernel 5.11.6 (with nvidia removed)

Mar 20 16:46:50 qt-kt kernel: stack segment: 0000 [#1] SMP PTI
Mar 20 16:46:50 qt-kt kernel: iwlwifi 0000:02:00.0: enabling device (0000 -> 0002)
Mar 20 16:46:50 qt-kt kernel: usb 2-2: Qualcomm USB modem converter now attached to ttyUSB1
Mar 20 16:46:50 qt-kt kernel: CPU: 3 PID: 731 Comm: systemd-udevd Not tainted 5.11.6-1-default #1 openSUSE Tumbleweed
Mar 20 16:46:50 qt-kt kernel: Hardware name: Dell Inc. Precision 7510/0YH43H, BIOS 1.21.3 08/04/2020
Mar 20 16:46:50 qt-kt kernel: RIP: 0010:kobject_put+0x19/0x1d0
Mar 20 16:46:50 qt-kt kernel: qcserial 2-2:1.3: Qualcomm USB modem converter detected
Mar 20 16:46:50 qt-kt kernel: Code: 48 c7 c7 08 34 e6 8a e8 35 b6 fe ff eb d6 0f 1f 00 48 85 ff 0f 84 b4 00 00 00 41 56 41 55 41 54 55 48 89 fd 53 bb ff ff ff ff <f6> 45 3c 01 0f 84 80 00 00 00 48 8d 7d 38 89 d8 f0 0f c1 45 38 83
Mar 20 16:46:50 qt-kt kernel: RSP: 0000:ffffb98c80b2fd98 EFLAGS: 00010282
Mar 20 16:46:50 qt-kt kernel: RAX: 0000000000000000 RBX: 00000000ffffffff RCX: 0000000000000000
Mar 20 16:46:50 qt-kt kernel: usb 2-2: Qualcomm USB modem converter now attached to ttyUSB2
Mar 20 16:46:50 qt-kt kernel: RDX: 0000000000000001 RSI: 0000000000000000 RDI: be235b00a135f6a4
Mar 20 16:46:50 qt-kt kernel: RBP: be235b00a135f6a4 R08: ffff8e2143094800 R09: ffff8e1fc01f1078
Mar 20 16:46:50 qt-kt kernel: R10: 0000000000000000 R11: ffff8e1fc3896fe8 R12: be235b00a135f6a4
Mar 20 16:46:50 qt-kt kernel: R13: 0000000000007ea3 R14: ffffb98c80b2fe80 R15: 0000000000010000
Mar 20 16:46:50 qt-kt kernel: FS:  00007ffa92c35940(0000) GS:ffff8e2f044c0000(0000) knlGS:0000000000000000
Mar 20 16:46:50 qt-kt kernel: iwlwifi 0000:02:00.0: loaded firmware version 36.ad812ee0.0 8000C-36.ucode op_mode iwlmvm
Mar 20 16:46:50 qt-kt kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Mar 20 16:46:50 qt-kt kernel: CR2: 0000560228ef3000 CR3: 0000000103e68005 CR4: 00000000003706e0
Mar 20 16:46:50 qt-kt kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Mar 20 16:46:50 qt-kt kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Mar 20 16:46:50 qt-kt kernel: Call Trace:
Mar 20 16:46:50 qt-kt kernel:  kset_unregister+0x25/0x40
Mar 20 16:46:50 qt-kt kernel:  ? 0xffffffffc0948000
Mar 20 16:46:50 qt-kt kernel:  sysman_init+0x20a/0x1000 [dell_wmi_sysman]
Mar 20 16:46:50 qt-kt kernel:  do_one_initcall+0x44/0x1d0
Mar 20 16:46:50 qt-kt kernel:  ? kmem_cache_alloc_trace+0xfe/0x250
Mar 20 16:46:50 qt-kt kernel:  do_init_module+0x5c/0x270
Mar 20 16:46:50 qt-kt kernel:  __do_sys_init_module+0x13b/0x1c0
Mar 20 16:46:50 qt-kt kernel:  do_syscall_64+0x33/0x80
Mar 20 16:46:50 qt-kt kernel:  entry_SYSCALL_64_after_hwframe+0x44/0xa9
Mar 20 16:46:50 qt-kt kernel: RIP: 0033:0x7ffa938a815e
Mar 20 16:46:50 qt-kt kernel: Code: 48 8b 0d 15 1d 0c 00 f7 d8 64 89 01 48 83 c8 ff c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 49 89 ca b8 af 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d e2 1c 0c 00 f7 d8 64 89 01 48
Mar 20 16:46:50 qt-kt kernel: RSP: 002b:00007ffee30e79a8 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
Mar 20 16:46:50 qt-kt kernel: RAX: ffffffffffffffda RBX: 00005602286b78a0 RCX: 00007ffa938a815e
Mar 20 16:46:50 qt-kt kernel: e1000e 0000:00:1f.6 0000:00:1f.6 (uninitialized): registered PHC clock
Mar 20 16:46:50 qt-kt kernel: RDX: 00007ffa939c83a3 RSI: 0000000000017ea3 RDI: 0000560228ecc240
Mar 20 16:46:50 qt-kt kernel: RBP: 0000560228ecc240 R08: 00005602286ad2e0 R09: 0000000000000003
Mar 20 16:46:50 qt-kt kernel: R10: 000056074848498d R11: 0000000000000246 R12: 00007ffa939c83a3
Mar 20 16:46:50 qt-kt kernel: R13: 00005602284ad080 R14: 0000000000000000 R15: 00005602286ad290
Mar 20 16:46:50 qt-kt kernel: Modules linked in: btbcm pcspkr iwlwifi joydev efi_pstore qcserial dell_wmi_sysman(+) btintel cdc_ether pcc_cpufreq(-) fjes(-) sparse_keymap dell_wmi_descriptor intel_wmi_thunderbolt mxm_wmi e1000e(+) wmi_bmof i2c_i801 cfg80211 bluetooth i2c_smbus videodev usb_wwan processor_thermal_device usbnet fb_sys_fops processor_thermal_rfim usbserial parport_pc mei_me processor_thermal_mbox syscopyarea sysfillrect processor_thermal_rapl mii ecdh_generic sysimgblt mc ecc intel_rapl_common mei i2c_algo_bit ie31200_edac intel_soc_dts_iosf intel_pch_thermal tiny_power_button parport int3403_thermal thermal int3402_thermal dell_rbtn dell_smo8800 int340x_thermal_zone int3400_thermal acpi_pad ac acpi_thermal_rel rfkill button nls_iso8859_1 nls_cp437 vfat fat fuse configfs dm_crypt rtsx_pci_sdmmc crct10dif_pclmul mmc_core crc32_pclmul xhci_pci xhci_pci_renesas ghash_clmulni_intel xhci_hcd aesni_intel glue_helper crypto_simd cryptd nvme serio_raw usbcore nvme_core rtsx_pci battery wmi video
Mar 20 16:46:50 qt-kt kernel:  btrfs blake2b_generic libcrc32c crc32c_intel xor raid6_pq dm_mirror dm_region_hash dm_log snd_hda_intel snd_intel_dspcfg soundwire_intel soundwire_generic_allocation snd_soc_core snd_compress snd_pcm_dmaengine soundwire_cadence soundwire_bus snd_hda_codec snd_hwdep snd_hda_core snd_pcm snd_timer snd soundcore l2tp_ppp l2tp_netlink l2tp_core ip6_udp_tunnel udp_tunnel pppox ppp_generic slhc sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua br_netfilter bridge stp llc msr efivarfs
Mar 20 16:46:50 qt-kt kernel: ---[ end trace ca9809c51a09342f ]---

It's getting worse and worse unfortunately.
Comment 39 Takashi Iwai 2021-03-21 08:23:50 UTC
As already asked (in comment 28), could you please open another bug report?
The Oops from the 5.11.x kernels have nothing to do with the original bug, and it has to be tracked differently.
Comment 40 Bruno Friedmann 2021-03-21 17:27:46 UTC
(In reply to Takashi Iwai from comment #39)
> As already asked (in comment 28), could you please open another bug report?
> The Oops from the 5.11.x kernels have nothing to do with the original bug,
> and it has to be tracked differently.

My apologies, I missed that information in the stress.

Done in https://bugzilla.opensuse.org/show_bug.cgi?id=1183839
Comment 41 Bruno Friedmann 2021-04-11 14:29:17 UTC
Created attachment 848222 [details]
RIP kernel 5.11.11 (snd_intel_hda+nvidia)

Now I can boot again 5.11.11 (boo#1183839)
I'm still getting crash if I let the system booting by itself

kernel: BUG: unable to handle page fault for address: ffffb337406bc058
kernel: #PF: supervisor read access in kernel mode
kernel: #PF: error_code(0x0000) - not-present page
kernel: PGD 100000067 P4D 100000067 PUD 1001be067 PMD 105686067 PTE 0
kernel: Oops: 0000 [#1] SMP PTI
kernel: CPU: 1 PID: 1777 Comm: Xorg.bin Tainted: P        W  OE     5.11.11-1-default #1 openSUSE Tumbleweed
kernel: Hardware name: Dell Inc. Precision 7510/0YH43H, BIOS 1.21.3 08/04/2020
kernel: RIP: 0010:snd_hdac_bus_update_rirb+0x17/0x160 [snd_hda_core]
kernel: Code: 31 ed 5b 5d 44 89 e8 41 5c 41 5d 41 5e 41 5f c3 0f 1f 00 0f 1f 44 00 00 41 57 41 56 41 55 41 54 55 53 48 83 ec 08 48 8b 47 20 <66> 44 8b 70 58 41 0f b7 ee 81 fd ff ff 00 00 0f 84 f2 00 00 00 48
kernel: RSP: 0018:ffffb33740a4f580 EFLAGS: 00010082
kernel: RAX: ffffb337406bc000 RBX: ffff8d9085fdd018 RCX: 0000000000000000
kernel: RDX: 0000000000000001 RSI: 0000000000000246 RDI: ffff8d9085fdd018
kernel: RBP: ffff8d9085fdd4b0 R08: 0000000000000000 R09: ffff8d920abca000
kernel: R10: 0000000000000000 R11: 0000000000000004 R12: 000000000000000a
kernel: R13: 0000000000000000 R14: 00000000ffff58bf R15: 0000000000000000
kernel: FS:  00007f9dcf13d940(0000) GS:ffff8da004440000(0000) knlGS:0000000000000000
kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
kernel: CR2: ffffb337406bc058 CR3: 000000020abca001 CR4: 00000000003726e0
kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
kernel: Call Trace:
kernel:  snd_hdac_bus_get_response+0x6d/0x260 [snd_hda_core]
kernel:  ? wait_woken+0x80/0x80
kernel:  azx_rirb_get_response+0x24/0x70 [snd_hda_codec]
kernel:  snd_hdac_bus_exec_verb_unlocked+0xa2/0x160 [snd_hda_core]
kernel:  codec_exec_verb+0x72/0x110 [snd_hda_codec]
kernel:  nv_audio_dynamic_power+0x106/0x130 [nvidia]
kernel:  _nv039410rm+0x28/0x30 [nvidia]
kernel:  ? _nv000778rm+0x90/0x90 [nvidia]
kernel:  ? _nv036157rm+0x184/0x190 [nvidia]
kernel:  ? _nv038967rm+0xb8/0x150 [nvidia]
kernel:  ? _nv038022rm+0x274/0x2d0 [nvidia]
kernel:  ? _nv009277rm+0x34c/0x420 [nvidia]
kernel:  ? _nv036272rm+0x57/0x100 [nvidia]
kernel:  ? _nv008273rm+0x55/0xa0 [nvidia]
kernel:  ? _nv008273rm+0x34/0xa0 [nvidia]
kernel:  ? rm_kernel_rmapi_op+0x159/0x1b0 [nvidia]
kernel:  ? nvkms_call_rm+0x4b/0x80 [nvidia_modeset]
kernel:  ? _nv002678kms+0x51/0x60 [nvidia_modeset]
kernel:  ? _nv000672kms+0x320/0x4f0 [nvidia_modeset]
kernel:  ? _nv000677kms+0x99/0x180 [nvidia_modeset]
kernel:  ? _nv002668kms+0x1bb/0x230 [nvidia_modeset]
kernel:  ? _nv000020kms+0x36c/0x850 [nvidia_modeset]
kernel:  ? _nv022303rm+0x60/0x60 [nvidia]
kernel:  ? os_get_current_tick+0x28/0x70 [nvidia]
kernel:  ? os_acquire_spinlock+0xe/0x20 [nvidia]
kernel:  ? _nv035449rm+0xc/0x20 [nvidia]
kernel:  ? _nv009667rm+0x40/0x90 [nvidia]
kernel:  ? _nv040237rm+0x24/0x50 [nvidia]
kernel:  ? _nv036199rm+0x2e/0xa0 [nvidia]
kernel:  ? _nv009665rm+0xbe/0x100 [nvidia]
kernel:  ? nvkms_alloc+0x79/0xa0 [nvidia_modeset]
kernel:  ? __kmalloc+0x11d/0x2b0
kernel:  ? _nv038024rm+0x120/0x130 [nvidia]
kernel:  ? nvkms_alloc+0x79/0xa0 [nvidia_modeset]
kernel:  ? _nv002732kms+0x12b0/0x15f0 [nvidia_modeset]
kernel:  ? _nv000556kms+0x50/0x50 [nvidia_modeset]
kernel:  ? nvKmsIoctl+0x96/0x1d0 [nvidia_modeset]
kernel:  ? nvkms_ioctl+0x103/0x180 [nvidia_modeset]
kernel:  ? nvidia_frontend_unlocked_ioctl+0x37/0x50 [nvidia]
kernel:  ? __x64_sys_ioctl+0x83/0xb0
kernel:  ? do_syscall_64+0x33/0x80
kernel:  ? entry_SYSCALL_64_after_hwframe+0x44/0xa9
kernel: Modules linked in: ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 vhost_net vhost vhost_iotlb tap xt_recent xt_multiport xt_comment xt_physdev xt_set xt_hashlimit xt_addrtype xt_mark xt_CT xt_CHECKSUM xt_MASQUERADE ipt_REJECT nf_reject_ipv4 nfnetlink_log xt_NFLOG nf_log_ipv4 nf_log_common xt_LOG nf_nat_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_nat_pptp nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat_amanda ts_kmp nf_conntrack_amanda nf_conntrack_sane nf_conntrack_tftp nf_conntrack_sip nf_conntrack_pptp nf_conntrack_netlink nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_irc nf_conntrack_h323 nf_conntrack_ftp tun af_packet vboxnetadp(O) vboxnetflt(O) ip6table_mangle ip6table_nat ip6table_raw ip6table_filter ip6_tables vboxdrv(O) ip_set_hash_net ip_set nfnetlink xt_tcpudp xt_conntrack iptable_mangle iptable_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 iptable_raw iptable_filter dmi_sysfs ip_tables cmac x_tables algif_hash bpfilter algif_skcipher af_alg bnep
kernel:  nvidia_drm(POE) nvidia_modeset(POE) xpad ff_memless x86_pkg_temp_thermal intel_powerclamp iwlmvm nvidia_uvm(POE) iTCO_wdt dell_laptop coretemp intel_pmc_bxt ledtrig_audio ee1004 iTCO_vendor_support mei_hdcp mei_wdt intel_rapl_msr ppdev kvm_intel mac80211 btusb btrtl btbcm cdc_mbim dell_smm_hwmon libarc4 uvcvideo kvm cdc_wdm btintel dell_wmi irqbypass videobuf2_vmalloc iwlwifi cdc_ncm videobuf2_memops nvidia(POE) dell_smbios videobuf2_v4l2 efi_pstore dcdbas cdc_ether sparse_keymap dell_wmi_descriptor intel_wmi_thunderbolt pcspkr i2c_i801 snd_usb_audio bluetooth e1000e mxm_wmi videobuf2_common i2c_smbus drm_kms_helper ecdh_generic snd_usbmidi_lib wmi_bmof usbnet snd_rawmidi qcserial usb_wwan videodev ecc snd_seq_device cec processor_thermal_device cfg80211 usbserial mii joydev rc_core processor_thermal_rfim mc processor_thermal_mbox fb_sys_fops mei_me processor_thermal_rapl syscopyarea mei intel_rapl_common sysfillrect intel_pch_thermal ie31200_edac sysimgblt
kernel:  intel_soc_dts_iosf thermal tiny_power_button parport_pc parport int3403_thermal dell_smo8800 dell_rbtn int3402_thermal int340x_thermal_zone ac int3400_thermal acpi_pad acpi_thermal_rel rfkill button nls_iso8859_1 nls_cp437 vfat fat nfsd auth_rpcgss nfs_acl lockd drm grace fuse configfs sunrpc nfs_ssc hid_logitech_hidpp uas usb_storage hid_logitech_dj hid_generic dm_crypt usbhid xhci_pci xhci_pci_renesas rtsx_pci_sdmmc xhci_hcd mmc_core crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel glue_helper crypto_simd cryptd nvme usbcore nvme_core serio_raw rtsx_pci battery video wmi btrfs blake2b_generic libcrc32c crc32c_intel xor raid6_pq dm_mirror dm_region_hash dm_log snd_hda_intel snd_intel_dspcfg soundwire_intel soundwire_generic_allocation snd_soc_core snd_compress snd_pcm_dmaengine soundwire_cadence soundwire_bus snd_hda_codec snd_hwdep snd_hda_core snd_pcm snd_timer snd soundcore l2tp_ppp l2tp_netlink l2tp_core ip6_udp_tunnel udp_tunnel pppox ppp_generic slhc sg
kernel:  dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua br_netfilter bridge stp llc msr efivarfs
kernel: CR2: ffffb337406bc058
kernel: ---[ end trace f4acf1b8917db500 ]---

The previous method booting in single mode and executing 
rmmod snd_hda_intel nvidia_drm nvidia_uvm nvidia_modeset nvidia
modprobe -v nvidia
modprobe -v snd_hda_intel
exit

is still working.
Comment 47 Swamp Workflow Management 2021-06-15 16:27:36 UTC
SUSE-SU-2021:1975-1: An update that solves 52 vulnerabilities and has 250 fixes is now available.

Category: security (important)
Bug References: 1043990,1047233,1055117,1065729,1087082,1113295,1133021,1152457,1152472,1152489,1153274,1154353,1155518,1156256,1156395,1159280,1160634,1164648,1167260,1167574,1167773,1168777,1168838,1169709,1171295,1173485,1174416,1174426,1175995,1176447,1176774,1177028,1177326,1177411,1177437,1177666,1178089,1178134,1178163,1178181,1178330,1178378,1178418,1178612,1179243,1179454,1179458,1179519,1179825,1179827,1179851,1180100,1180197,1180814,1180846,1180980,1181104,1181161,1181383,1181507,1181674,1181862,1182077,1182257,1182377,1182378,1182552,1182574,1182591,1182613,1182712,1182713,1182715,1182716,1182717,1182999,1183022,1183048,1183069,1183077,1183095,1183120,1183203,1183249,1183252,1183277,1183278,1183279,1183280,1183281,1183282,1183283,1183284,1183285,1183286,1183287,1183288,1183289,1183310,1183311,1183312,1183313,1183314,1183315,1183316,1183317,1183318,1183319,1183320,1183321,1183322,1183323,1183324,1183325,1183326,1183346,1183366,1183369,1183386,1183405,1183412,1183427,1183428,1183445,1183447,1183491,1183501,1183509,1183530,1183534,1183540,1183593,1183596,1183598,1183637,1183646,1183658,1183662,1183686,1183692,1183696,1183750,1183757,1183775,1183815,1183843,1183859,1183868,1183871,1183873,1183932,1183947,1183976,1184074,1184081,1184082,1184120,1184167,1184168,1184170,1184171,1184176,1184192,1184193,1184194,1184196,1184197,1184198,1184199,1184208,1184209,1184211,1184217,1184218,1184219,1184220,1184224,1184259,1184264,1184386,1184388,1184391,1184393,1184436,1184485,1184509,1184511,1184512,1184514,1184583,1184585,1184611,1184615,1184650,1184710,1184724,1184728,1184730,1184731,1184736,1184737,1184738,1184740,1184741,1184742,1184760,1184769,1184811,1184855,1184893,1184934,1184942,1184943,1184952,1184953,1184955,1184957,1184969,1184984,1185010,1185041,1185110,1185113,1185233,1185269,1185365,1185428,1185454,1185472,1185491,1185495,1185497,1185549,1185550,1185558,1185573,1185581,1185586,1185587,1185589,1185606,1185640,1185641,1185642,1185645,1185670,1185677,1185680,1185703,1185725,1185736,1185758,1185796,1185840,1185857,1185859,1185860,1185861,1185862,1185863,1185898,1185899,1185911,1185938,1185950,1185954,1185980,1185982,1185987,1185988,1186009,1186060,1186061,1186062,1186111,1186118,1186219,1186285,1186320,1186349,1186352,1186353,1186354,1186355,1186356,1186357,1186390,1186401,1186408,1186416,1186439,1186441,1186451,1186460,1186467,1186479,1186484,1186498,1186501,1186512,1186573,1186681
CVE References: CVE-2019-18814,CVE-2019-19769,CVE-2020-24586,CVE-2020-24587,CVE-2020-24588,CVE-2020-25670,CVE-2020-25671,CVE-2020-25672,CVE-2020-25673,CVE-2020-26139,CVE-2020-26141,CVE-2020-26145,CVE-2020-26147,CVE-2020-27170,CVE-2020-27171,CVE-2020-27673,CVE-2020-27815,CVE-2020-35519,CVE-2020-36310,CVE-2020-36311,CVE-2020-36312,CVE-2020-36322,CVE-2021-20268,CVE-2021-23134,CVE-2021-27363,CVE-2021-27364,CVE-2021-27365,CVE-2021-28038,CVE-2021-28375,CVE-2021-28660,CVE-2021-28688,CVE-2021-28950,CVE-2021-28952,CVE-2021-28964,CVE-2021-28971,CVE-2021-28972,CVE-2021-29154,CVE-2021-29155,CVE-2021-29264,CVE-2021-29265,CVE-2021-29647,CVE-2021-29650,CVE-2021-30002,CVE-2021-32399,CVE-2021-33034,CVE-2021-33200,CVE-2021-3428,CVE-2021-3444,CVE-2021-3483,CVE-2021-3489,CVE-2021-3490,CVE-2021-3491
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15-SP3 (src):    kernel-azure-5.3.18-38.3.1, kernel-source-azure-5.3.18-38.3.1, kernel-syms-azure-5.3.18-38.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 48 Swamp Workflow Management 2021-06-15 17:11:09 UTC
SUSE-SU-2021:1977-1: An update that solves 52 vulnerabilities and has 187 fixes is now available.

Category: security (important)
Bug References: 1055117,1065729,1087082,1113295,1133021,1152457,1152472,1152489,1153274,1154353,1155518,1156395,1160634,1164648,1167260,1167574,1167773,1168777,1168838,1169709,1171295,1173485,1174416,1174426,1175995,1176447,1176774,1177028,1177326,1177666,1178089,1178134,1178163,1178330,1178378,1178418,1179243,1179519,1179825,1179827,1179851,1180197,1180814,1180846,1181104,1181383,1181507,1181674,1181862,1182077,1182257,1182377,1182552,1182574,1182613,1182712,1182715,1182717,1182999,1183022,1183069,1183252,1183277,1183278,1183279,1183280,1183281,1183282,1183283,1183284,1183285,1183286,1183287,1183288,1183289,1183310,1183311,1183312,1183313,1183314,1183315,1183316,1183317,1183318,1183319,1183320,1183321,1183322,1183323,1183324,1183326,1183346,1183366,1183369,1183386,1183405,1183412,1183427,1183428,1183445,1183447,1183491,1183501,1183509,1183530,1183534,1183540,1183593,1183596,1183598,1183637,1183646,1183658,1183662,1183686,1183692,1183750,1183757,1183775,1183815,1183868,1183871,1183873,1183947,1183976,1184074,1184081,1184082,1184120,1184167,1184168,1184170,1184171,1184192,1184193,1184194,1184196,1184197,1184198,1184199,1184208,1184209,1184211,1184217,1184218,1184219,1184220,1184224,1184264,1184386,1184388,1184391,1184393,1184436,1184485,1184514,1184585,1184611,1184615,1184650,1184710,1184724,1184728,1184730,1184731,1184736,1184737,1184738,1184740,1184741,1184742,1184769,1184811,1184855,1184934,1184942,1184943,1184955,1184969,1184984,1185010,1185113,1185233,1185269,1185428,1185491,1185495,1185549,1185550,1185558,1185573,1185581,1185586,1185587,1185606,1185640,1185641,1185642,1185645,1185670,1185680,1185703,1185725,1185736,1185758,1185796,1185840,1185857,1185898,1185899,1185911,1185938,1185950,1185980,1185988,1186009,1186061,1186111,1186118,1186219,1186285,1186320,1186349,1186352,1186353,1186354,1186355,1186356,1186357,1186401,1186408,1186439,1186441,1186479,1186484,1186498,1186501,1186512,1186681
CVE References: CVE-2019-18814,CVE-2019-19769,CVE-2020-24586,CVE-2020-24587,CVE-2020-24588,CVE-2020-25670,CVE-2020-25671,CVE-2020-25672,CVE-2020-25673,CVE-2020-26139,CVE-2020-26141,CVE-2020-26145,CVE-2020-26147,CVE-2020-27170,CVE-2020-27171,CVE-2020-27673,CVE-2020-27815,CVE-2020-35519,CVE-2020-36310,CVE-2020-36311,CVE-2020-36312,CVE-2020-36322,CVE-2021-20268,CVE-2021-23134,CVE-2021-27363,CVE-2021-27364,CVE-2021-27365,CVE-2021-28038,CVE-2021-28375,CVE-2021-28660,CVE-2021-28688,CVE-2021-28950,CVE-2021-28952,CVE-2021-28964,CVE-2021-28971,CVE-2021-28972,CVE-2021-29154,CVE-2021-29155,CVE-2021-29264,CVE-2021-29265,CVE-2021-29647,CVE-2021-29650,CVE-2021-30002,CVE-2021-32399,CVE-2021-33034,CVE-2021-33200,CVE-2021-3428,CVE-2021-3444,CVE-2021-3483,CVE-2021-3489,CVE-2021-3490,CVE-2021-3491
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    kernel-default-5.3.18-59.5.2, kernel-preempt-5.3.18-59.5.2
SUSE Linux Enterprise Module for Live Patching 15-SP3 (src):    kernel-default-5.3.18-59.5.2, kernel-livepatch-SLE15-SP3_Update_1-1-7.5.1
SUSE Linux Enterprise Module for Legacy Software 15-SP3 (src):    kernel-default-5.3.18-59.5.2
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    kernel-docs-5.3.18-59.5.2, kernel-obs-build-5.3.18-59.5.1, kernel-preempt-5.3.18-59.5.2, kernel-source-5.3.18-59.5.2, kernel-syms-5.3.18-59.5.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    kernel-64kb-5.3.18-59.5.2, kernel-default-5.3.18-59.5.2, kernel-default-base-5.3.18-59.5.2.18.2.2, kernel-preempt-5.3.18-59.5.2, kernel-source-5.3.18-59.5.2, kernel-zfcpdump-5.3.18-59.5.2
SUSE Linux Enterprise High Availability 15-SP3 (src):    kernel-default-5.3.18-59.5.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 50 Swamp Workflow Management 2021-07-11 16:31:34 UTC
openSUSE-SU-2021:1975-1: An update that solves 52 vulnerabilities and has 250 fixes is now available.

Category: security (important)
Bug References: 1043990,1047233,1055117,1065729,1087082,1113295,1133021,1152457,1152472,1152489,1153274,1154353,1155518,1156256,1156395,1159280,1160634,1164648,1167260,1167574,1167773,1168777,1168838,1169709,1171295,1173485,1174416,1174426,1175995,1176447,1176774,1177028,1177326,1177411,1177437,1177666,1178089,1178134,1178163,1178181,1178330,1178378,1178418,1178612,1179243,1179454,1179458,1179519,1179825,1179827,1179851,1180100,1180197,1180814,1180846,1180980,1181104,1181161,1181383,1181507,1181674,1181862,1182077,1182257,1182377,1182378,1182552,1182574,1182591,1182613,1182712,1182713,1182715,1182716,1182717,1182999,1183022,1183048,1183069,1183077,1183095,1183120,1183203,1183249,1183252,1183277,1183278,1183279,1183280,1183281,1183282,1183283,1183284,1183285,1183286,1183287,1183288,1183289,1183310,1183311,1183312,1183313,1183314,1183315,1183316,1183317,1183318,1183319,1183320,1183321,1183322,1183323,1183324,1183325,1183326,1183346,1183366,1183369,1183386,1183405,1183412,1183427,1183428,1183445,1183447,1183491,1183501,1183509,1183530,1183534,1183540,1183593,1183596,1183598,1183637,1183646,1183658,1183662,1183686,1183692,1183696,1183750,1183757,1183775,1183815,1183843,1183859,1183868,1183871,1183873,1183932,1183947,1183976,1184074,1184081,1184082,1184120,1184167,1184168,1184170,1184171,1184176,1184192,1184193,1184194,1184196,1184197,1184198,1184199,1184208,1184209,1184211,1184217,1184218,1184219,1184220,1184224,1184259,1184264,1184386,1184388,1184391,1184393,1184436,1184485,1184509,1184511,1184512,1184514,1184583,1184585,1184611,1184615,1184650,1184710,1184724,1184728,1184730,1184731,1184736,1184737,1184738,1184740,1184741,1184742,1184760,1184769,1184811,1184855,1184893,1184934,1184942,1184943,1184952,1184953,1184955,1184957,1184969,1184984,1185010,1185041,1185110,1185113,1185233,1185269,1185365,1185428,1185454,1185472,1185491,1185495,1185497,1185549,1185550,1185558,1185573,1185581,1185586,1185587,1185589,1185606,1185640,1185641,1185642,1185645,1185670,1185677,1185680,1185703,1185725,1185736,1185758,1185796,1185840,1185857,1185859,1185860,1185861,1185862,1185863,1185898,1185899,1185911,1185938,1185950,1185954,1185980,1185982,1185987,1185988,1186009,1186060,1186061,1186062,1186111,1186118,1186219,1186285,1186320,1186349,1186352,1186353,1186354,1186355,1186356,1186357,1186390,1186401,1186408,1186416,1186439,1186441,1186451,1186460,1186467,1186479,1186484,1186498,1186501,1186512,1186573,1186681
CVE References: CVE-2019-18814,CVE-2019-19769,CVE-2020-24586,CVE-2020-24587,CVE-2020-24588,CVE-2020-25670,CVE-2020-25671,CVE-2020-25672,CVE-2020-25673,CVE-2020-26139,CVE-2020-26141,CVE-2020-26145,CVE-2020-26147,CVE-2020-27170,CVE-2020-27171,CVE-2020-27673,CVE-2020-27815,CVE-2020-35519,CVE-2020-36310,CVE-2020-36311,CVE-2020-36312,CVE-2020-36322,CVE-2021-20268,CVE-2021-23134,CVE-2021-27363,CVE-2021-27364,CVE-2021-27365,CVE-2021-28038,CVE-2021-28375,CVE-2021-28660,CVE-2021-28688,CVE-2021-28950,CVE-2021-28952,CVE-2021-28964,CVE-2021-28971,CVE-2021-28972,CVE-2021-29154,CVE-2021-29155,CVE-2021-29264,CVE-2021-29265,CVE-2021-29647,CVE-2021-29650,CVE-2021-30002,CVE-2021-32399,CVE-2021-33034,CVE-2021-33200,CVE-2021-3428,CVE-2021-3444,CVE-2021-3483,CVE-2021-3489,CVE-2021-3490,CVE-2021-3491
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    kernel-azure-5.3.18-38.3.1, kernel-source-azure-5.3.18-38.3.1, kernel-syms-azure-5.3.18-38.3.1
Comment 51 Swamp Workflow Management 2021-07-11 17:17:09 UTC
openSUSE-SU-2021:1977-1: An update that solves 52 vulnerabilities and has 187 fixes is now available.

Category: security (important)
Bug References: 1055117,1065729,1087082,1113295,1133021,1152457,1152472,1152489,1153274,1154353,1155518,1156395,1160634,1164648,1167260,1167574,1167773,1168777,1168838,1169709,1171295,1173485,1174416,1174426,1175995,1176447,1176774,1177028,1177326,1177666,1178089,1178134,1178163,1178330,1178378,1178418,1179243,1179519,1179825,1179827,1179851,1180197,1180814,1180846,1181104,1181383,1181507,1181674,1181862,1182077,1182257,1182377,1182552,1182574,1182613,1182712,1182715,1182717,1182999,1183022,1183069,1183252,1183277,1183278,1183279,1183280,1183281,1183282,1183283,1183284,1183285,1183286,1183287,1183288,1183289,1183310,1183311,1183312,1183313,1183314,1183315,1183316,1183317,1183318,1183319,1183320,1183321,1183322,1183323,1183324,1183326,1183346,1183366,1183369,1183386,1183405,1183412,1183427,1183428,1183445,1183447,1183491,1183501,1183509,1183530,1183534,1183540,1183593,1183596,1183598,1183637,1183646,1183658,1183662,1183686,1183692,1183750,1183757,1183775,1183815,1183868,1183871,1183873,1183947,1183976,1184074,1184081,1184082,1184120,1184167,1184168,1184170,1184171,1184192,1184193,1184194,1184196,1184197,1184198,1184199,1184208,1184209,1184211,1184217,1184218,1184219,1184220,1184224,1184264,1184386,1184388,1184391,1184393,1184436,1184485,1184514,1184585,1184611,1184615,1184650,1184710,1184724,1184728,1184730,1184731,1184736,1184737,1184738,1184740,1184741,1184742,1184769,1184811,1184855,1184934,1184942,1184943,1184955,1184969,1184984,1185010,1185113,1185233,1185269,1185428,1185491,1185495,1185549,1185550,1185558,1185573,1185581,1185586,1185587,1185606,1185640,1185641,1185642,1185645,1185670,1185680,1185703,1185725,1185736,1185758,1185796,1185840,1185857,1185898,1185899,1185911,1185938,1185950,1185980,1185988,1186009,1186061,1186111,1186118,1186219,1186285,1186320,1186349,1186352,1186353,1186354,1186355,1186356,1186357,1186401,1186408,1186439,1186441,1186479,1186484,1186498,1186501,1186512,1186681
CVE References: CVE-2019-18814,CVE-2019-19769,CVE-2020-24586,CVE-2020-24587,CVE-2020-24588,CVE-2020-25670,CVE-2020-25671,CVE-2020-25672,CVE-2020-25673,CVE-2020-26139,CVE-2020-26141,CVE-2020-26145,CVE-2020-26147,CVE-2020-27170,CVE-2020-27171,CVE-2020-27673,CVE-2020-27815,CVE-2020-35519,CVE-2020-36310,CVE-2020-36311,CVE-2020-36312,CVE-2020-36322,CVE-2021-20268,CVE-2021-23134,CVE-2021-27363,CVE-2021-27364,CVE-2021-27365,CVE-2021-28038,CVE-2021-28375,CVE-2021-28660,CVE-2021-28688,CVE-2021-28950,CVE-2021-28952,CVE-2021-28964,CVE-2021-28971,CVE-2021-28972,CVE-2021-29154,CVE-2021-29155,CVE-2021-29264,CVE-2021-29265,CVE-2021-29647,CVE-2021-29650,CVE-2021-30002,CVE-2021-32399,CVE-2021-33034,CVE-2021-33200,CVE-2021-3428,CVE-2021-3444,CVE-2021-3483,CVE-2021-3489,CVE-2021-3490,CVE-2021-3491
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    kernel-64kb-5.3.18-59.5.2, kernel-debug-5.3.18-59.5.2, kernel-default-5.3.18-59.5.2, kernel-default-base-5.3.18-59.5.2.18.2.2, kernel-docs-5.3.18-59.5.2, kernel-kvmsmall-5.3.18-59.5.2, kernel-obs-build-5.3.18-59.5.1, kernel-obs-qa-5.3.18-59.5.1, kernel-preempt-5.3.18-59.5.2, kernel-source-5.3.18-59.5.2, kernel-syms-5.3.18-59.5.1, kernel-zfcpdump-5.3.18-59.5.2
Comment 52 Jairaj Arava 2021-12-10 02:17:40 UTC
Hi Takashi & All,

I am from Intel and working on Chrome Audio. In one of our legacy HDA based audio system, we see an issue with 3.5mm headset jack during suspend resume.

Description and steps to reproduce the issue:
Connect the 3.5mm jack headset that has inbuilt mic and suspend the system. Now plug out the 3.5mm headset and wake up the system. 

Expected output: Once the system resumes, headset & headset mic detection shouldn't be seen.

Observed output: After system resumed, headset detection is still shown but not headset MIC.

I have tried the upstream for-next kernel but still the issue is observed. 

Tip tried:
commit 8e7daf318d97f25e18b2fc7eb5909e34cd903575 (takashi/for-next)
Author: Bixuan Cui <cuibixuan@linux.alibaba.com>
Date:   Wed Dec 1 16:58:54 2021 +0800

    ALSA: oss: fix compile error when OSS_DEBUG is enabled


But after reverting https://lore.kernel.org/alsa-devel/20210310112809.9215-3-tiwai@suse.de/ from your patch series the issue doesn't exists.

Can you please help with this? 

Thanks.
Comment 53 Takashi Iwai 2021-12-10 08:20:04 UTC
Please open another bug and give the detailed description there.  This bug is likely to be closed.

And, please give alsa-info.sh output, too.  Run the script with --no-upload, upload to there as an attachment.

We have a known issue by this for CS8409 codec, for example, and implemented a workaround recently.  A similar workaround or a different way to fix may be needed, depending on the situation.
Comment 54 Jairaj Arava 2021-12-11 02:32:06 UTC
Hi Takashi,
Thanks for the suggestion Takashi. Created a new one in https://bugzilla.kernel.org/show_bug.cgi?id=215297.